package Reaction::Gadgets::ListBrowser;

use 5.008005;
use strict;
use warnings;
use Carp;

require Exporter;
use AutoLoader;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration       use Reaction::Gadgets::ListBrowser ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
ListBrowserObject
AllocListBrowserNode
FreeListBrowserNode
FreeListBrowserList
GetListBrowserNodeAttr
ListBrowserSelectAll
HideAllListBrowserChildern
HideListBrowserNodeChildren
SetListBrowserNodeAttrs
ShowAllListBrowserChildren
ShowListBrowserNodeChildren
ListBrowserClearAll
MakeColumnInfoArray
FreeColumnInfoArray
LBMAddNode
LBMRemNode
LBMEditNode

) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
);

our $VERSION = '0.02';

sub AUTOLOAD {
    # This AUTOLOAD is used to 'autoload' constants from the constant()
    # XS function.

    my $constname;
    our $AUTOLOAD;
    ($constname = $AUTOLOAD) =~ s/.*:://;
    croak "&Reaction::Gadgets::ListBrowser::constant not defined" if $constname eq 'constant';
    my ($error, $val) = constant($constname);
    if ($error) { croak $error; }
    {
        no strict 'refs';
        # Fixed between 5.005_53 and 5.005_61
#XXX    if ($] >= 5.00561) {
#XXX        *$AUTOLOAD = sub () { $val };
#XXX    }
#XXX    else {
            *$AUTOLOAD = sub { $val };
#XXX    }
    }
    goto &$AUTOLOAD;
}

require XSLoader;
XSLoader::load('Reaction::Gadgets::ListBrowser', $VERSION);

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Reaction::Gadgets::ListBrowser - Perl extension for the Reaction ListBrowser Class

=head1 SYNOPSIS

  use Reaction::Gadgets::ListBrowser;

=head1 DESCRIPTION

GetListBrowserNodeAttrs(nod, tags, ...);

In contrast to the C function this returns a list of tags value pairs that exactly
corespond to those input.

@out = GetListBrowserNodeAttrs(node, @in);


=head2 EXPORT

None by default.

=head2 Exportable constants


=head1 SEE ALSO

Mention other useful documentation such as the documentation of
related modules or operating system documentation (such as man pages
in UNIX), or any relevant external documentation such as RFCs or
standards.

If you have a mailing list set up for your module, mention it here.

If you have a web site set up for your module, mention it here.

=head1 AUTHOR

Andy Broad E<lt>andy@broad.ology.org.ukE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2006 by Andy Broad

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.5 or,
at your option, any later version of Perl 5 you may have available.


=cut
