package Reaction::Gadgets::Layout;

use 5.008005;
use strict;
use warnings;
use Carp;

require Exporter;
use AutoLoader;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration       use Reaction::Gadgets::Layout ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
LayoutObject
LayoutLimits
RethinkLayout
FlushLayoutDomainCache
ActivateLayoutGadget
PageObject
RefreshPageGadget
SetPageGadgetAttrs

) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
);

our $VERSION = '0.01';

sub AUTOLOAD {
    # This AUTOLOAD is used to 'autoload' constants from the constant()
    # XS function.

    my $constname;
    our $AUTOLOAD;
    ($constname = $AUTOLOAD) =~ s/.*:://;
    croak "&Reaction::Gadgets::Layout::constant not defined" if $constname eq 'constant';
    my ($error, $val) = constant($constname);
    if ($error) { croak $error; }
    {
        no strict 'refs';
        # Fixed between 5.005_53 and 5.005_61
#XXX    if ($] >= 5.00561) {
#XXX        *$AUTOLOAD = sub () { $val };
#XXX    }
#XXX    else {
            *$AUTOLOAD = sub { $val };
#XXX    }
    }
    goto &$AUTOLOAD;
}

require XSLoader;
XSLoader::load('Reaction::Gadgets::Layout', $VERSION);

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Reaction::Gadgets::Layout - Perl extension for the Reaction Layout Class

=head1 SYNOPSIS

  use Reaction::Gadgets::Layout;

=head1 DESCRIPTION

LayoutLimits(layout, font, screen, minw, minh, maxw, maxh)

The order of the arguments for this function call differ to that of
it's "C" function. Rather than a struct layoutlimits you provide 4 variables to
receive the data.

=head2 EXPORT

None by default.

=head2 Exportable constants


=head1 SEE ALSO

layout_gc autodoc

=head1 AUTHOR

Andy Broad E<lt>andy@broad.ology.org.ukE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2006 by Andy Broad

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.5 or,
at your option, any later version of Perl 5 you may have available.


=cut
