require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&INLINE4_COMMODITIES_H)) {
    eval 'sub INLINE4_COMMODITIES_H () {1;}' unless defined(&INLINE4_COMMODITIES_H);
    unless(defined(&EXEC_TYPES_H)) {
	require 'exec/types.ph';
    }
    unless(defined(&EXEC_EXEC_H)) {
	require 'exec/exec.ph';
    }
    unless(defined(&EXEC_INTERFACES_H)) {
	require 'exec/interfaces.ph';
    }
    unless(defined(&EXEC_NODES_H)) {
	require 'exec/nodes.ph';
    }
    unless(defined(&LIBRARIES_COMMODITIES_H)) {
	require 'libraries/commodities.ph';
    }
    unless(defined(&DEVICES_INPUTEVENT_H)) {
	require 'devices/inputevent.ph';
    }
    unless(defined(&DEVICES_KEYMAP_H)) {
	require 'devices/keymap.ph';
    }
    eval 'sub CreateCxObj {
        local($type, $arg1, $arg2) = @_;
	    eval q( ($ICommodities->{CreateCxObj})($type, $arg1, $arg2));
    }' unless defined(&CreateCxObj);
    eval 'sub CxBroker {
        local($nb, $error) = @_;
	    eval q( ($ICommodities->{CxBroker})($nb, $error));
    }' unless defined(&CxBroker);
    eval 'sub ActivateCxObj {
        local($co, $doIt) = @_;
	    eval q( ($ICommodities->{ActivateCxObj})($co, $doIt));
    }' unless defined(&ActivateCxObj);
    eval 'sub DeleteCxObj {
        local($co) = @_;
	    eval q( ($ICommodities->{DeleteCxObj})($co));
    }' unless defined(&DeleteCxObj);
    eval 'sub DeleteCxObjAll {
        local($co) = @_;
	    eval q( ($ICommodities->{DeleteCxObjAll})($co));
    }' unless defined(&DeleteCxObjAll);
    eval 'sub CxObjType {
        local($co) = @_;
	    eval q( ($ICommodities->{CxObjType})($co));
    }' unless defined(&CxObjType);
    eval 'sub CxObjError {
        local($co) = @_;
	    eval q( ($ICommodities->{CxObjError})($co));
    }' unless defined(&CxObjError);
    eval 'sub ClearCxObjError {
        local($co) = @_;
	    eval q( ($ICommodities->{ClearCxObjError})($co));
    }' unless defined(&ClearCxObjError);
    eval 'sub SetCxObjPri {
        local($co, $pri) = @_;
	    eval q( ($ICommodities->{SetCxObjPri})($co, $pri));
    }' unless defined(&SetCxObjPri);
    eval 'sub AttachCxObj {
        local($headObj, $co) = @_;
	    eval q( ($ICommodities->{AttachCxObj})($headObj, $co));
    }' unless defined(&AttachCxObj);
    eval 'sub EnqueueCxObj {
        local($headObj, $co) = @_;
	    eval q( ($ICommodities->{EnqueueCxObj})($headObj, $co));
    }' unless defined(&EnqueueCxObj);
    eval 'sub InsertCxObj {
        local($headObj, $co, $pred) = @_;
	    eval q( ($ICommodities->{InsertCxObj})($headObj, $co, $pred));
    }' unless defined(&InsertCxObj);
    eval 'sub RemoveCxObj {
        local($co) = @_;
	    eval q( ($ICommodities->{RemoveCxObj})($co));
    }' unless defined(&RemoveCxObj);
    eval 'sub CxReserved0 () {
        eval q( ($ICommodities->{CxReserved0})());
    }' unless defined(&CxReserved0);
    eval 'sub SetTranslate {
        local($translator, $events) = @_;
	    eval q( ($ICommodities->{SetTranslate})($translator, $events));
    }' unless defined(&SetTranslate);
    eval 'sub SetFilter {
        local($filter, $text) = @_;
	    eval q( ($ICommodities->{SetFilter})($filter, $text));
    }' unless defined(&SetFilter);
    eval 'sub SetFilterIX {
        local($filter, $ix) = @_;
	    eval q( ($ICommodities->{SetFilterIX})($filter, $ix));
    }' unless defined(&SetFilterIX);
    eval 'sub ParseIX {
        local($description, $ix) = @_;
	    eval q( ($ICommodities->{ParseIX})($description, $ix));
    }' unless defined(&ParseIX);
    eval 'sub CxMsgType {
        local($cxm) = @_;
	    eval q( ($ICommodities->{CxMsgType})($cxm));
    }' unless defined(&CxMsgType);
    eval 'sub CxMsgData {
        local($cxm) = @_;
	    eval q( ($ICommodities->{CxMsgData})($cxm));
    }' unless defined(&CxMsgData);
    eval 'sub CxMsgID {
        local($cxm) = @_;
	    eval q( ($ICommodities->{CxMsgID})($cxm));
    }' unless defined(&CxMsgID);
    eval 'sub DivertCxMsg {
        local($cxm, $headObj, $returnObj) = @_;
	    eval q( ($ICommodities->{DivertCxMsg})($cxm, $headObj, $returnObj));
    }' unless defined(&DivertCxMsg);
    eval 'sub RouteCxMsg {
        local($cxm, $co) = @_;
	    eval q( ($ICommodities->{RouteCxMsg})($cxm, $co));
    }' unless defined(&RouteCxMsg);
    eval 'sub DisposeCxMsg {
        local($cxm) = @_;
	    eval q( ($ICommodities->{DisposeCxMsg})($cxm));
    }' unless defined(&DisposeCxMsg);
    eval 'sub InvertKeyMap {
        local($ansiCode, $event, $km) = @_;
	    eval q( ($ICommodities->{InvertKeyMap})($ansiCode, $event, $km));
    }' unless defined(&InvertKeyMap);
    eval 'sub AddIEvents {
        local($events) = @_;
	    eval q( ($ICommodities->{AddIEvents})($events));
    }' unless defined(&AddIEvents);
    eval 'sub CopyBrokerList {
        local($blist) = @_;
	    eval q( ($ICommodities->{CopyBrokerList})($blist));
    }' unless defined(&CopyBrokerList);
    eval 'sub FreeBrokerList {
        local($list) = @_;
	    eval q( ($ICommodities->{FreeBrokerList})($list));
    }' unless defined(&FreeBrokerList);
    eval 'sub BrokerCommand {
        local($name, $id) = @_;
	    eval q( ($ICommodities->{BrokerCommand})($name, $id));
    }' unless defined(&BrokerCommand);
    eval 'sub MatchIX {
        local($event, $ix) = @_;
	    eval q( ($ICommodities->{MatchIX})($event, $ix));
    }' unless defined(&MatchIX);
    eval 'sub CxReserved1 () {
        eval q( ($ICommodities->{CxReserved1})());
    }' unless defined(&CxReserved1);
    eval 'sub CxReserved2 () {
        eval q( ($ICommodities->{CxReserved2})());
    }' unless defined(&CxReserved2);
    eval 'sub CxReserved3 () {
        eval q( ($ICommodities->{CxReserved3})());
    }' unless defined(&CxReserved3);
    eval 'sub CxReserved4 () {
        eval q( ($ICommodities->{CxReserved4})());
    }' unless defined(&CxReserved4);
    eval 'sub CxReserved5 () {
        eval q( ($ICommodities->{CxReserved5})());
    }' unless defined(&CxReserved5);
}
1;
