require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&INLINE4_EXEC_H)) {
    eval 'sub INLINE4_EXEC_H () {1;}' unless defined(&INLINE4_EXEC_H);
    unless(defined(&EXEC_TYPES_H)) {
	require 'exec/types.ph';
    }
    unless(defined(&EXEC_EXEC_H)) {
	require 'exec/exec.ph';
    }
    unless(defined(&EXEC_INTERFACES_H)) {
	require 'exec/interfaces.ph';
    }
    unless(defined(&UTILITY_UTILITY_H)) {
	require 'utility/utility.ph';
    }
    eval 'sub AddHead {
        local($list, $node) = @_;
	    eval q( ($IExec->{AddHead})($list, $node));
    }' unless defined(&AddHead);
    eval 'sub AddMemHandler {
        local($memHandler) = @_;
	    eval q( ($IExec->{AddMemHandler})($memHandler));
    }' unless defined(&AddMemHandler);
    eval 'sub AddMemList {
        local($size, $attributes, $pri, $base, $name) = @_;
	    eval q( ($IExec->{AddMemList})($size, $attributes, $pri, $base, $name));
    }' unless defined(&AddMemList);
    eval 'sub AddTail {
        local($list, $node) = @_;
	    eval q( ($IExec->{AddTail})($list, $node));
    }' unless defined(&AddTail);
    eval 'sub AllocAbs {
        local($byteSize, $location) = @_;
	    eval q( ($IExec->{AllocAbs})($byteSize, $location));
    }' unless defined(&AllocAbs);
    eval 'sub Allocate {
        local($memHeader, $byteSize) = @_;
	    eval q( ($IExec->{Allocate})($memHeader, $byteSize));
    }' unless defined(&Allocate);
    eval 'sub AllocEntry {
        local($memList) = @_;
	    eval q( ($IExec->{AllocEntry})($memList));
    }' unless defined(&AllocEntry);
    eval 'sub AllocMem {
        local($byteSize, $attributes) = @_;
	    eval q( ($IExec->{AllocMem})($byteSize, $attributes));
    }' unless defined(&AllocMem);
    eval 'sub AllocPooled {
        local($poolHeader, $memSize) = @_;
	    eval q( ($IExec->{AllocPooled})($poolHeader, $memSize));
    }' unless defined(&AllocPooled);
    eval 'sub AllocVec {
        local($byteSize, $attributes) = @_;
	    eval q( ($IExec->{AllocVec})($byteSize, $attributes));
    }' unless defined(&AllocVec);
    eval 'sub AllocVecPooled {
        local($poolHeader, $size) = @_;
	    eval q( ($IExec->{AllocVecPooled})($poolHeader, $size));
    }' unless defined(&AllocVecPooled);
    eval 'sub AvailMem {
        local($attributes) = @_;
	    eval q( ($IExec->{AvailMem})($attributes));
    }' unless defined(&AvailMem);
    eval 'sub CopyMem {
        local($source, $dest, $size) = @_;
	    eval q( ($IExec->{CopyMem})($source, $dest, $size));
    }' unless defined(&CopyMem);
    eval 'sub CopyMemQuick {
        local($source, $dest, $size) = @_;
	    eval q( ($IExec->{CopyMemQuick})($source, $dest, $size));
    }' unless defined(&CopyMemQuick);
    eval 'sub CreatePool {
        local($memFlags, $puddleSize, $threshSize) = @_;
	    eval q( ($IExec->{CreatePool})($memFlags, $puddleSize, $threshSize));
    }' unless defined(&CreatePool);
    eval 'sub Deallocate {
        local($memHeader, $memoryBlock, $byteSize) = @_;
	    eval q( ($IExec->{Deallocate})($memHeader, $memoryBlock, $byteSize));
    }' unless defined(&Deallocate);
    eval 'sub DeletePool {
        local($poolHeader) = @_;
	    eval q( ($IExec->{DeletePool})($poolHeader));
    }' unless defined(&DeletePool);
    eval 'sub Enqueue {
        local($list, $node) = @_;
	    eval q( ($IExec->{Enqueue})($list, $node));
    }' unless defined(&Enqueue);
    eval 'sub FindName {
        local($start, $name) = @_;
	    eval q( ($IExec->{FindName})($start, $name));
    }' unless defined(&FindName);
    eval 'sub FindIName {
        local($start, $name) = @_;
	    eval q( ($IExec->{FindIName})($start, $name));
    }' unless defined(&FindIName);
    eval 'sub Forbid () {
        eval q( ($IExec->{Forbid})());
    }' unless defined(&Forbid);
    eval 'sub FreeEntry {
        local($memList) = @_;
	    eval q( ($IExec->{FreeEntry})($memList));
    }' unless defined(&FreeEntry);
    eval 'sub FreeMem {
        local($memoryBlock, $byteSize) = @_;
	    eval q( ($IExec->{FreeMem})($memoryBlock, $byteSize));
    }' unless defined(&FreeMem);
    eval 'sub FreePooled {
        local($poolHeader, $memory, $memSize) = @_;
	    eval q( ($IExec->{FreePooled})($poolHeader, $memory, $memSize));
    }' unless defined(&FreePooled);
    eval 'sub FreeVec {
        local($memoryBlock) = @_;
	    eval q( ($IExec->{FreeVec})($memoryBlock));
    }' unless defined(&FreeVec);
    eval 'sub FreeVecPooled {
        local($poolHeader, $memory) = @_;
	    eval q( ($IExec->{FreeVecPooled})($poolHeader, $memory));
    }' unless defined(&FreeVecPooled);
    eval 'sub InitData {
        local($initTab, $memory, $size) = @_;
	    eval q( ($IExec->{InitData})($initTab, $memory, $size));
    }' unless defined(&InitData);
    eval 'sub InitStruct {
        local($initTable, $memory, $size) = @_;
	    eval q( ($IExec->{InitStruct})($initTable, $memory, $size));
    }' unless defined(&InitStruct);
    eval 'sub Insert {
        local($list, $node, $listNode) = @_;
	    eval q( ($IExec->{Insert})($list, $node, $listNode));
    }' unless defined(&Insert);
    eval 'sub MakeInterface {
        local($library, $taglist) = @_;
	    eval q( ($IExec->{MakeInterface})($library, $taglist));
    }' unless defined(&MakeInterface);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub MakeInterfaceTags () {(...)  ($IExec->{MakeInterfaceTags})( &__VA_ARGS__);}' unless defined(&MakeInterfaceTags);
    }
    eval 'sub Permit () {
        eval q( ($IExec->{Permit})());
    }' unless defined(&Permit);
    eval 'sub RawDoFmt {
        local($formatString, $dataStream, $PutChProc, $PutChData) = @_;
	    eval q( ($IExec->{RawDoFmt})($formatString, $dataStream, $PutChProc, $PutChData));
    }' unless defined(&RawDoFmt);
    eval 'sub RemHead {
        local($list) = @_;
	    eval q( ($IExec->{RemHead})($list));
    }' unless defined(&RemHead);
    eval 'sub RemMemHandler {
        local($memHandler) = @_;
	    eval q( ($IExec->{RemMemHandler})($memHandler));
    }' unless defined(&RemMemHandler);
    eval 'sub Remove {
        local($node) = @_;
	    eval q( ($IExec->{Remove})($node));
    }' unless defined(&Remove);
    eval 'sub RemTail {
        local($list) = @_;
	    eval q( ($IExec->{RemTail})($list));
    }' unless defined(&RemTail);
    eval 'sub TypeOfMem {
        local($address) = @_;
	    eval q( ($IExec->{TypeOfMem})($address));
    }' unless defined(&TypeOfMem);
    eval 'sub InitResident {
        local($resident, $segList) = @_;
	    eval q( ($IExec->{InitResident})($resident, $segList));
    }' unless defined(&InitResident);
    eval 'sub InitCode {
        local($startClass, $version) = @_;
	    eval q( ($IExec->{InitCode})($startClass, $version));
    }' unless defined(&InitCode);
    eval 'sub SumKickData () {
        eval q( ($IExec->{SumKickData})());
    }' unless defined(&SumKickData);
    eval 'sub AddTask {
        local($task, $initialPC, $finalPC, $tagList) = @_;
	    eval q( ($IExec->{AddTask})($task, $initialPC, $finalPC, $tagList));
    }' unless defined(&AddTask);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub AddTaskTags () {( &task,  &initialPC, ...)  ($IExec->{AddTaskTags})( &task,  &initialPC,  &__VA_ARGS__);}' unless defined(&AddTaskTags);
    }
    eval 'sub Disable () {
        eval q( ($IExec->{Disable})());
    }' unless defined(&Disable);
    eval 'sub Enable () {
        eval q( ($IExec->{Enable})());
    }' unless defined(&Enable);
    eval 'sub Reschedule () {
        eval q( ($IExec->{Reschedule})());
    }' unless defined(&Reschedule);
    eval 'sub FindTask {
        local($name) = @_;
	    eval q( ($IExec->{FindTask})($name));
    }' unless defined(&FindTask);
    eval 'sub RemTask {
        local($task) = @_;
	    eval q( ($IExec->{RemTask})($task));
    }' unless defined(&RemTask);
    eval 'sub SetTaskPri {
        local($task, $priority) = @_;
	    eval q( ($IExec->{SetTaskPri})($task, $priority));
    }' unless defined(&SetTaskPri);
    eval 'sub StackSwap {
        local($newstack) = @_;
	    eval q( ($IExec->{StackSwap})($newstack));
    }' unless defined(&StackSwap);
    eval 'sub AllocSignal {
        local($signalNum) = @_;
	    eval q( ($IExec->{AllocSignal})($signalNum));
    }' unless defined(&AllocSignal);
    eval 'sub FreeSignal {
        local($signalNum) = @_;
	    eval q( ($IExec->{FreeSignal})($signalNum));
    }' unless defined(&FreeSignal);
    eval 'sub SetExcept {
        local($newSignals, $signalMask) = @_;
	    eval q( ($IExec->{SetExcept})($newSignals, $signalMask));
    }' unless defined(&SetExcept);
    eval 'sub SetSignal {
        local($newSignals, $signalMask) = @_;
	    eval q( ($IExec->{SetSignal})($newSignals, $signalMask));
    }' unless defined(&SetSignal);
    eval 'sub Signal {
        local($task, $signals) = @_;
	    eval q( ($IExec->{Signal})($task, $signals));
    }' unless defined(&Signal);
    eval 'sub Wait {
        local($signalSet) = @_;
	    eval q( ($IExec->{Wait})($signalSet));
    }' unless defined(&Wait);
    eval 'sub AddPort {
        local($port) = @_;
	    eval q( ($IExec->{AddPort})($port));
    }' unless defined(&AddPort);
    eval 'sub CreatePort {
        local($name, $pri) = @_;
	    eval q( ($IExec->{CreatePort})($name, $pri));
    }' unless defined(&CreatePort);
    eval 'sub CreateMsgPort () {
        eval q( ($IExec->{CreateMsgPort})());
    }' unless defined(&CreateMsgPort);
    eval 'sub DeletePort {
        local($port) = @_;
	    eval q( ($IExec->{DeletePort})($port));
    }' unless defined(&DeletePort);
    eval 'sub DeleteMsgPort {
        local($port) = @_;
	    eval q( ($IExec->{DeleteMsgPort})($port));
    }' unless defined(&DeleteMsgPort);
    eval 'sub FindPort {
        local($name) = @_;
	    eval q( ($IExec->{FindPort})($name));
    }' unless defined(&FindPort);
    eval 'sub GetMsg {
        local($port) = @_;
	    eval q( ($IExec->{GetMsg})($port));
    }' unless defined(&GetMsg);
    eval 'sub PutMsg {
        local($port, $message) = @_;
	    eval q( ($IExec->{PutMsg})($port, $message));
    }' unless defined(&PutMsg);
    eval 'sub RemPort {
        local($port) = @_;
	    eval q( ($IExec->{RemPort})($port));
    }' unless defined(&RemPort);
    eval 'sub ReplyMsg {
        local($message) = @_;
	    eval q( ($IExec->{ReplyMsg})($message));
    }' unless defined(&ReplyMsg);
    eval 'sub WaitPort {
        local($port) = @_;
	    eval q( ($IExec->{WaitPort})($port));
    }' unless defined(&WaitPort);
    eval 'sub Cause {
        local($interrupt) = @_;
	    eval q( ($IExec->{Cause})($interrupt));
    }' unless defined(&Cause);
    eval 'sub AddSemaphore {
        local($semaphore) = @_;
	    eval q( ($IExec->{AddSemaphore})($semaphore));
    }' unless defined(&AddSemaphore);
    eval 'sub AttemptSemaphore {
        local($semaphore) = @_;
	    eval q( ($IExec->{AttemptSemaphore})($semaphore));
    }' unless defined(&AttemptSemaphore);
    eval 'sub AttemptSemaphoreShared {
        local($semaphore) = @_;
	    eval q( ($IExec->{AttemptSemaphoreShared})($semaphore));
    }' unless defined(&AttemptSemaphoreShared);
    eval 'sub FindSemaphore {
        local($name) = @_;
	    eval q( ($IExec->{FindSemaphore})($name));
    }' unless defined(&FindSemaphore);
    eval 'sub InitSemaphore {
        local($semaphore) = @_;
	    eval q( ($IExec->{InitSemaphore})($semaphore));
    }' unless defined(&InitSemaphore);
    eval 'sub ObtainSemaphore {
        local($semaphore) = @_;
	    eval q( ($IExec->{ObtainSemaphore})($semaphore));
    }' unless defined(&ObtainSemaphore);
    eval 'sub ObtainSemaphoreList {
        local($list) = @_;
	    eval q( ($IExec->{ObtainSemaphoreList})($list));
    }' unless defined(&ObtainSemaphoreList);
    eval 'sub ObtainSemaphoreShared {
        local($semaphore) = @_;
	    eval q( ($IExec->{ObtainSemaphoreShared})($semaphore));
    }' unless defined(&ObtainSemaphoreShared);
    eval 'sub Procure {
        local($semaphore, $bidMessage) = @_;
	    eval q( ($IExec->{Procure})($semaphore, $bidMessage));
    }' unless defined(&Procure);
    eval 'sub ReleaseSemaphore {
        local($semaphore) = @_;
	    eval q( ($IExec->{ReleaseSemaphore})($semaphore));
    }' unless defined(&ReleaseSemaphore);
    eval 'sub ReleaseSemaphoreList {
        local($list) = @_;
	    eval q( ($IExec->{ReleaseSemaphoreList})($list));
    }' unless defined(&ReleaseSemaphoreList);
    eval 'sub RemSemaphore {
        local($semaphore) = @_;
	    eval q( ($IExec->{RemSemaphore})($semaphore));
    }' unless defined(&RemSemaphore);
    eval 'sub Vacate {
        local($semaphore, $bidMessage) = @_;
	    eval q( ($IExec->{Vacate})($semaphore, $bidMessage));
    }' unless defined(&Vacate);
    eval 'sub CreateTask {
        local($name, $pri, $initPC, $stackSize, $tagList) = @_;
	    eval q( ($IExec->{CreateTask})($name, $pri, $initPC, $stackSize, $tagList));
    }' unless defined(&CreateTask);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub CreateTaskTags () {( &name,  &pri,  &initPC, ...)  ($IExec->{CreateTaskTags})( &name,  &pri,  &initPC,  &__VA_ARGS__);}' unless defined(&CreateTaskTags);
    }
    eval 'sub DeleteTask {
        local($task) = @_;
	    eval q( ($IExec->{DeleteTask})($task));
    }' unless defined(&DeleteTask);
    eval 'sub SumLibrary {
        local($library) = @_;
	    eval q( ($IExec->{SumLibrary})($library));
    }' unless defined(&SumLibrary);
    eval 'sub CreateLibrary {
        local($taglist) = @_;
	    eval q( ($IExec->{CreateLibrary})($taglist));
    }' unless defined(&CreateLibrary);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub CreateLibraryTags () {(...)  ($IExec->{CreateLibraryTags})( &__VA_ARGS__);}' unless defined(&CreateLibraryTags);
    }
    eval 'sub OpenLibrary {
        local($name, $version) = @_;
	    eval q( ($IExec->{OpenLibrary})($name, $version));
    }' unless defined(&OpenLibrary);
    eval 'sub CloseLibrary {
        local($library) = @_;
	    eval q( ($IExec->{CloseLibrary})($library));
    }' unless defined(&CloseLibrary);
    eval 'sub AddLibrary {
        local($library) = @_;
	    eval q( ($IExec->{AddLibrary})($library));
    }' unless defined(&AddLibrary);
    eval 'sub RemLibrary {
        local($library) = @_;
	    eval q( ($IExec->{RemLibrary})($library));
    }' unless defined(&RemLibrary);
    eval 'sub AddDevice {
        local($device) = @_;
	    eval q( ($IExec->{AddDevice})($device));
    }' unless defined(&AddDevice);
    eval 'sub RemDevice {
        local($device) = @_;
	    eval q( ($IExec->{RemDevice})($device));
    }' unless defined(&RemDevice);
    eval 'sub GetInterface {
        local($library, $name, $version, $taglist) = @_;
	    eval q( ($IExec->{GetInterface})($library, $name, $version, $taglist));
    }' unless defined(&GetInterface);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub GetInterfaceTags () {( &library,  &name, ...)  ($IExec->{GetInterfaceTags})( &library,  &name,  &__VA_ARGS__);}' unless defined(&GetInterfaceTags);
    }
    eval 'sub DropInterface {
        local($interface) = @_;
	    eval q( ($IExec->{DropInterface})($interface));
    }' unless defined(&DropInterface);
    eval 'sub AddInterface {
        local($library, $interface) = @_;
	    eval q( ($IExec->{AddInterface})($library, $interface));
    }' unless defined(&AddInterface);
    eval 'sub RemInterface {
        local($interface) = @_;
	    eval q( ($IExec->{RemInterface})($interface));
    }' unless defined(&RemInterface);
    eval 'sub SumInterface {
        local($interface) = @_;
	    eval q( ($IExec->{SumInterface})($interface));
    }' unless defined(&SumInterface);
    eval 'sub FindResident {
        local($name) = @_;
	    eval q( ($IExec->{FindResident})($name));
    }' unless defined(&FindResident);
    eval 'sub SetMethod {
        local($interface, $funcOffset, $newFunc) = @_;
	    eval q( ($IExec->{SetMethod})($interface, $funcOffset, $newFunc));
    }' unless defined(&SetMethod);
    eval 'sub DeleteInterface {
        local($interface) = @_;
	    eval q( ($IExec->{DeleteInterface})($interface));
    }' unless defined(&DeleteInterface);
    eval 'sub DeleteLibrary {
        local($library) = @_;
	    eval q( ($IExec->{DeleteLibrary})($library));
    }' unless defined(&DeleteLibrary);
    eval 'sub SetFunction {
        local($library, $funcOffset, $newFunc) = @_;
	    eval q( ($IExec->{SetFunction})($library, $funcOffset, $newFunc));
    }' unless defined(&SetFunction);
    eval 'sub CacheClearE {
        local($address, $length, $caches) = @_;
	    eval q( ($IExec->{CacheClearE})($address, $length, $caches));
    }' unless defined(&CacheClearE);
    eval 'sub CacheClearU () {
        eval q( ($IExec->{CacheClearU})());
    }' unless defined(&CacheClearU);
    eval 'sub MakeFunctions {
        local($target, $functionArray, $funcDispBase) = @_;
	    eval q( ($IExec->{MakeFunctions})($target, $functionArray, $funcDispBase));
    }' unless defined(&MakeFunctions);
    eval 'sub OpenDevice {
        local($devName, $unitNumber, $ioRequest, $flags) = @_;
	    eval q( ($IExec->{OpenDevice})($devName, $unitNumber, $ioRequest, $flags));
    }' unless defined(&OpenDevice);
    eval 'sub CloseDevice {
        local($ioRequest) = @_;
	    eval q( ($IExec->{CloseDevice})($ioRequest));
    }' unless defined(&CloseDevice);
    eval 'sub CreateIORequest {
        local($ioReplyPort, $size) = @_;
	    eval q( ($IExec->{CreateIORequest})($ioReplyPort, $size));
    }' unless defined(&CreateIORequest);
    eval 'sub DeleteIORequest {
        local($ioRequest) = @_;
	    eval q( ($IExec->{DeleteIORequest})($ioRequest));
    }' unless defined(&DeleteIORequest);
    eval 'sub AbortIO {
        local($ioRequest) = @_;
	    eval q( ($IExec->{AbortIO})($ioRequest));
    }' unless defined(&AbortIO);
    eval 'sub CheckIO {
        local($ioRequest) = @_;
	    eval q( ($IExec->{CheckIO})($ioRequest));
    }' unless defined(&CheckIO);
    eval 'sub DoIO {
        local($ioRequest) = @_;
	    eval q( ($IExec->{DoIO})($ioRequest));
    }' unless defined(&DoIO);
    eval 'sub SendIO {
        local($ioRequest) = @_;
	    eval q( ($IExec->{SendIO})($ioRequest));
    }' unless defined(&SendIO);
    eval 'sub BeginIO {
        local($ioRequest) = @_;
	    eval q( ($IExec->{BeginIO})($ioRequest));
    }' unless defined(&BeginIO);
    eval 'sub WaitIO {
        local($ioRequest) = @_;
	    eval q( ($IExec->{WaitIO})($ioRequest));
    }' unless defined(&WaitIO);
    eval 'sub AddResource {
        local($resource) = @_;
	    eval q( ($IExec->{AddResource})($resource));
    }' unless defined(&AddResource);
    eval 'sub RemResource {
        local($resource) = @_;
	    eval q( ($IExec->{RemResource})($resource));
    }' unless defined(&RemResource);
    eval 'sub OpenResource {
        local($resName) = @_;
	    eval q( ($IExec->{OpenResource})($resName));
    }' unless defined(&OpenResource);
    eval 'sub AddIntServer {
        local($intNum, $interrupt) = @_;
	    eval q( ($IExec->{AddIntServer})($intNum, $interrupt));
    }' unless defined(&AddIntServer);
    eval 'sub RemIntServer {
        local($intNum, $interrupt) = @_;
	    eval q( ($IExec->{RemIntServer})($intNum, $interrupt));
    }' unless defined(&RemIntServer);
    eval 'sub SetIntVector {
        local($intNum, $interrupt) = @_;
	    eval q( ($IExec->{SetIntVector})($intNum, $interrupt));
    }' unless defined(&SetIntVector);
    eval 'sub ObtainQuickVector {
        local($interruptCode) = @_;
	    eval q( ($IExec->{ObtainQuickVector})($interruptCode));
    }' unless defined(&ObtainQuickVector);
    eval 'sub Alert {
        local($alertNum) = @_;
	    eval q( ($IExec->{Alert})($alertNum));
    }' unless defined(&Alert);
    eval 'sub SuperState () {
        eval q( ($IExec->{SuperState})());
    }' unless defined(&SuperState);
    eval 'sub UserState {
        local($sysStack) = @_;
	    eval q( ($IExec->{UserState})($sysStack));
    }' unless defined(&UserState);
    eval 'sub Supervisor {
        local($userFunc) = @_;
	    eval q( ($IExec->{Supervisor})($userFunc));
    }' unless defined(&Supervisor);
    eval 'sub SetTaskTrap {
        local($trapNum, $trapCode, $trapData) = @_;
	    eval q( ($IExec->{SetTaskTrap})($trapNum, $trapCode, $trapData));
    }' unless defined(&SetTaskTrap);
    eval 'sub AllocTrap {
        local($trapNum) = @_;
	    eval q( ($IExec->{AllocTrap})($trapNum));
    }' unless defined(&AllocTrap);
    eval 'sub FreeTrap {
        local($trapNum) = @_;
	    eval q( ($IExec->{FreeTrap})($trapNum));
    }' unless defined(&FreeTrap);
    eval 'sub GetCC () {
        eval q( ($IExec->{GetCC})());
    }' unless defined(&GetCC);
    eval 'sub SetSR {
        local($newSR, $mask) = @_;
	    eval q( ($IExec->{SetSR})($newSR, $mask));
    }' unless defined(&SetSR);
    eval 'sub AVL_AddNode {
        local($root, $node, $func) = @_;
	    eval q( ($IExec->{AVL_AddNode})($root, $node, $func));
    }' unless defined(&AVL_AddNode);
    eval 'sub AVL_FindFirstNode {
        local($root) = @_;
	    eval q( ($IExec->{AVL_FindFirstNode})($root));
    }' unless defined(&AVL_FindFirstNode);
    eval 'sub AVL_FindLastNode {
        local($root) = @_;
	    eval q( ($IExec->{AVL_FindLastNode})($root));
    }' unless defined(&AVL_FindLastNode);
    eval 'sub AVL_FindNextNodeByAddress {
        local($root) = @_;
	    eval q( ($IExec->{AVL_FindNextNodeByAddress})($root));
    }' unless defined(&AVL_FindNextNodeByAddress);
    eval 'sub AVL_FindNextNodeByKey {
        local($root, $key, $func) = @_;
	    eval q( ($IExec->{AVL_FindNextNodeByKey})($root, $key, $func));
    }' unless defined(&AVL_FindNextNodeByKey);
    eval 'sub AVL_FindNode {
        local($root, $key, $func) = @_;
	    eval q( ($IExec->{AVL_FindNode})($root, $key, $func));
    }' unless defined(&AVL_FindNode);
    eval 'sub AVL_FindPrevNodeByAddress {
        local($root) = @_;
	    eval q( ($IExec->{AVL_FindPrevNodeByAddress})($root));
    }' unless defined(&AVL_FindPrevNodeByAddress);
    eval 'sub AVL_FindPrevNodeByKey {
        local($root, $key, $func) = @_;
	    eval q( ($IExec->{AVL_FindPrevNodeByKey})($root, $key, $func));
    }' unless defined(&AVL_FindPrevNodeByKey);
    eval 'sub AVL_RemNodeByAddress {
        local($root, $node) = @_;
	    eval q( ($IExec->{AVL_RemNodeByAddress})($root, $node));
    }' unless defined(&AVL_RemNodeByAddress);
    eval 'sub AVL_RemNodeByKey {
        local($root, $key, $func) = @_;
	    eval q( ($IExec->{AVL_RemNodeByKey})($root, $key, $func));
    }' unless defined(&AVL_RemNodeByKey);
    eval 'sub CacheControl {
        local($cacheBits, $cacheMask) = @_;
	    eval q( ($IExec->{CacheControl})($cacheBits, $cacheMask));
    }' unless defined(&CacheControl);
    eval 'sub LockMem {
        local($baseAddress, $size) = @_;
	    eval q( ($IExec->{LockMem})($baseAddress, $size));
    }' unless defined(&LockMem);
    eval 'sub UnlockMem {
        local($baseAddress, $size) = @_;
	    eval q( ($IExec->{UnlockMem})($baseAddress, $size));
    }' unless defined(&UnlockMem);
    eval 'sub ReallocVec {
        local($memBlock, $newSize, $flags) = @_;
	    eval q( ($IExec->{ReallocVec})($memBlock, $newSize, $flags));
    }' unless defined(&ReallocVec);
    eval 'sub CachePreDMA {
        local($vaddr, $length, $flags) = @_;
	    eval q( ($IExec->{CachePreDMA})($vaddr, $length, $flags));
    }' unless defined(&CachePreDMA);
    eval 'sub CachePostDMA {
        local($vaddr, $length, $flags) = @_;
	    eval q( ($IExec->{CachePostDMA})($vaddr, $length, $flags));
    }' unless defined(&CachePostDMA);
    eval 'sub StartDMA {
        local($startAddr, $blockSize, $flags) = @_;
	    eval q( ($IExec->{StartDMA})($startAddr, $blockSize, $flags));
    }' unless defined(&StartDMA);
    eval 'sub EndDMA {
        local($startAddr, $blockSize, $flags) = @_;
	    eval q( ($IExec->{EndDMA})($startAddr, $blockSize, $flags));
    }' unless defined(&EndDMA);
    eval 'sub GetDMAList {
        local($startAddr, $blockSize, $flags, $dmaList) = @_;
	    eval q( ($IExec->{GetDMAList})($startAddr, $blockSize, $flags, $dmaList));
    }' unless defined(&GetDMAList);
    eval 'sub AddTrackable {
        local($usingTask, $object, $destFunc) = @_;
	    eval q( ($IExec->{AddTrackable})($usingTask, $object, $destFunc));
    }' unless defined(&AddTrackable);
    eval 'sub FindTrackable {
        local($usingTask, $object) = @_;
	    eval q( ($IExec->{FindTrackable})($usingTask, $object));
    }' unless defined(&FindTrackable);
    eval 'sub RemTrackable {
        local($usingTask, $trackable) = @_;
	    eval q( ($IExec->{RemTrackable})($usingTask, $trackable));
    }' unless defined(&RemTrackable);
    eval 'sub DeleteTrackable {
        local($trackable) = @_;
	    eval q( ($IExec->{DeleteTrackable})($trackable));
    }' unless defined(&DeleteTrackable);
    eval 'sub AllocSysObject {
        local($type, $tags) = @_;
	    eval q( ($IExec->{AllocSysObject})($type, $tags));
    }' unless defined(&AllocSysObject);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub AllocSysObjectTags () {(...)  ($IExec->{AllocSysObjectTags})( &__VA_ARGS__);}' unless defined(&AllocSysObjectTags);
    }
    eval 'sub FreeSysObject {
        local($type, $object) = @_;
	    eval q( ($IExec->{FreeSysObject})($type, $object));
    }' unless defined(&FreeSysObject);
    eval 'sub SuspendTask {
        local($whichTask, $flags) = @_;
	    eval q( ($IExec->{SuspendTask})($whichTask, $flags));
    }' unless defined(&SuspendTask);
    eval 'sub RestartTask {
        local($whichTask, $flags) = @_;
	    eval q( ($IExec->{RestartTask})($whichTask, $flags));
    }' unless defined(&RestartTask);
    eval 'sub MoveList {
        local($destinationList, $sourceList) = @_;
	    eval q( ($IExec->{MoveList})($destinationList, $sourceList));
    }' unless defined(&MoveList);
    eval 'sub NewList {
        local($list) = @_;
	    eval q( ($IExec->{NewList})($list));
    }' unless defined(&NewList);
    eval 'sub NewMinList {
        local($list) = @_;
	    eval q( ($IExec->{NewMinList})($list));
    }' unless defined(&NewMinList);
    eval 'sub ColdReboot () {
        eval q( ($IExec->{ColdReboot})());
    }' unless defined(&ColdReboot);
    eval 'sub MakeLibrary {
        local($vectors, $structure, $init, $dataSize, $segList) = @_;
	    eval q( ($IExec->{MakeLibrary})($vectors, $structure, $init, $dataSize, $segList));
    }' unless defined(&MakeLibrary);
    eval 'sub Emulate {
        local($InitPC, $tagList) = @_;
	    eval q( ($IExec->{Emulate})($InitPC, $tagList));
    }' unless defined(&Emulate);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub EmulateTags () {(...)  ($IExec->{EmulateTags})( &__VA_ARGS__);}' unless defined(&EmulateTags);
    }
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub DebugPrintF () {(...)  ($IExec->{DebugPrintF})( &__VA_ARGS__);}' unless defined(&DebugPrintF);
    }
    eval 'sub IsNative {
        local($code) = @_;
	    eval q( ($IExec->{IsNative})($code));
    }' unless defined(&IsNative);
    eval 'sub RawMayGetChar () {
        eval q( ($IExec->{RawMayGetChar})());
    }' unless defined(&RawMayGetChar);
    eval 'sub RawPutChar {
        local($c) = @_;
	    eval q( ($IExec->{RawPutChar})($c));
    }' unless defined(&RawPutChar);
    eval 'sub GetCPUInfo {
        local($TagList) = @_;
	    eval q( ($IExec->{GetCPUInfo})($TagList));
    }' unless defined(&GetCPUInfo);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub GetCPUInfoTags () {(...)  ($IExec->{GetCPUInfoTags})( &__VA_ARGS__);}' unless defined(&GetCPUInfoTags);
    }
    eval 'sub OwnerOfMem {
        local($Address) = @_;
	    eval q( ($IExec->{OwnerOfMem})($Address));
    }' unless defined(&OwnerOfMem);
    eval 'sub AddResetCallback {
        local($resetCallback) = @_;
	    eval q( ($IExec->{AddResetCallback})($resetCallback));
    }' unless defined(&AddResetCallback);
    eval 'sub RemResetCallback {
        local($resetCallback) = @_;
	    eval q( ($IExec->{RemResetCallback})($resetCallback));
    }' unless defined(&RemResetCallback);
    eval 'sub ItemPoolAlloc {
        local($itemPool) = @_;
	    eval q( ($IExec->{ItemPoolAlloc})($itemPool));
    }' unless defined(&ItemPoolAlloc);
    eval 'sub ItemPoolFree {
        local($itemPool, $item) = @_;
	    eval q( ($IExec->{ItemPoolFree})($itemPool, $item));
    }' unless defined(&ItemPoolFree);
    eval 'sub ItemPoolGC {
        local($itemPool) = @_;
	    eval q( ($IExec->{ItemPoolGC})($itemPool));
    }' unless defined(&ItemPoolGC);
    eval 'sub ItemPoolControl {
        local($itemPool, $tagList) = @_;
	    eval q( ($IExec->{ItemPoolControl})($itemPool, $tagList));
    }' unless defined(&ItemPoolControl);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub ItemPoolControlTags () {(...)  ($IExec->{ItemPoolControlTags})( &__VA_ARGS__);}' unless defined(&ItemPoolControlTags);
    }
    eval 'sub ItemPoolFlush {
        local($itemPool) = @_;
	    eval q( ($IExec->{ItemPoolFlush})($itemPool));
    }' unless defined(&ItemPoolFlush);
    eval 'sub GetHead {
        local($list) = @_;
	    eval q( ($IExec->{GetHead})($list));
    }' unless defined(&GetHead);
    eval 'sub GetTail {
        local($list) = @_;
	    eval q( ($IExec->{GetTail})($list));
    }' unless defined(&GetTail);
    eval 'sub GetSucc {
        local($node) = @_;
	    eval q( ($IExec->{GetSucc})($node));
    }' unless defined(&GetSucc);
    eval 'sub GetPred {
        local($node) = @_;
	    eval q( ($IExec->{GetPred})($node));
    }' unless defined(&GetPred);
    eval 'sub IceColdReboot () {
        eval q( ($IExec->{IceColdReboot})());
    }' unless defined(&IceColdReboot);
}
1;
