require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&INLINE4_EXPANSION_H)) {
    eval 'sub INLINE4_EXPANSION_H () {1;}' unless defined(&INLINE4_EXPANSION_H);
    unless(defined(&EXEC_TYPES_H)) {
	require 'exec/types.ph';
    }
    unless(defined(&EXEC_EXEC_H)) {
	require 'exec/exec.ph';
    }
    unless(defined(&EXEC_INTERFACES_H)) {
	require 'exec/interfaces.ph';
    }
    unless(defined(&EXPANSION_PCI_H)) {
	require 'expansion/pci.ph';
    }
    unless(defined(&EXPANSION_EXPANSION_H)) {
	require 'expansion/expansion.ph';
    }
    unless(defined(&EXPANSION_CONFIGVARS_H)) {
	require 'expansion/configvars.ph';
    }
    unless(defined(&DOS_DOS_H)) {
	require 'dos/dos.ph';
    }
    unless(defined(&DOS_DOSEXTENS_H)) {
	require 'dos/dosextens.ph';
    }
    unless(defined(&DOS_FILEHANDLER_H)) {
	require 'dos/filehandler.ph';
    }
    eval 'sub AddConfigDev {
        local($configDev) = @_;
	    eval q( ($IExpansion->{AddConfigDev})($configDev));
    }' unless defined(&AddConfigDev);
    eval 'sub AddBootNode {
        local($bootPri, $flags, $deviceNode, $configDev) = @_;
	    eval q( ($IExpansion->{AddBootNode})($bootPri, $flags, $deviceNode, $configDev));
    }' unless defined(&AddBootNode);
    eval 'sub AllocBoardMem {
        local($slotSpec) = @_;
	    eval q( ($IExpansion->{AllocBoardMem})($slotSpec));
    }' unless defined(&AllocBoardMem);
    eval 'sub AllocConfigDev () {
        eval q( ($IExpansion->{AllocConfigDev})());
    }' unless defined(&AllocConfigDev);
    eval 'sub AllocExpansionMem {
        local($numSlots, $slotAlign) = @_;
	    eval q( ($IExpansion->{AllocExpansionMem})($numSlots, $slotAlign));
    }' unless defined(&AllocExpansionMem);
    eval 'sub ConfigBoard {
        local($board, $configDev) = @_;
	    eval q( ($IExpansion->{ConfigBoard})($board, $configDev));
    }' unless defined(&ConfigBoard);
    eval 'sub ConfigChain {
        local($baseAddr) = @_;
	    eval q( ($IExpansion->{ConfigChain})($baseAddr));
    }' unless defined(&ConfigChain);
    eval 'sub FindConfigDev {
        local($oldConfigDev, $manufacturer, $product) = @_;
	    eval q( ($IExpansion->{FindConfigDev})($oldConfigDev, $manufacturer, $product));
    }' unless defined(&FindConfigDev);
    eval 'sub FreeBoardMem {
        local($startSlot, $slotSpec) = @_;
	    eval q( ($IExpansion->{FreeBoardMem})($startSlot, $slotSpec));
    }' unless defined(&FreeBoardMem);
    eval 'sub FreeConfigDev {
        local($configDev) = @_;
	    eval q( ($IExpansion->{FreeConfigDev})($configDev));
    }' unless defined(&FreeConfigDev);
    eval 'sub FreeExpansionMem {
        local($startSlot, $numSlots) = @_;
	    eval q( ($IExpansion->{FreeExpansionMem})($startSlot, $numSlots));
    }' unless defined(&FreeExpansionMem);
    eval 'sub ReadExpansionByte {
        local($board, $offset) = @_;
	    eval q( ($IExpansion->{ReadExpansionByte})($board, $offset));
    }' unless defined(&ReadExpansionByte);
    eval 'sub ReadExpansionRom {
        local($board, $configDev) = @_;
	    eval q( ($IExpansion->{ReadExpansionRom})($board, $configDev));
    }' unless defined(&ReadExpansionRom);
    eval 'sub RemConfigDev {
        local($configDev) = @_;
	    eval q( ($IExpansion->{RemConfigDev})($configDev));
    }' unless defined(&RemConfigDev);
    eval 'sub WriteExpansionByte {
        local($board, $offset, $byte) = @_;
	    eval q( ($IExpansion->{WriteExpansionByte})($board, $offset, $byte));
    }' unless defined(&WriteExpansionByte);
    eval 'sub ObtainConfigBinding () {
        eval q( ($IExpansion->{ObtainConfigBinding})());
    }' unless defined(&ObtainConfigBinding);
    eval 'sub ReleaseConfigBinding () {
        eval q( ($IExpansion->{ReleaseConfigBinding})());
    }' unless defined(&ReleaseConfigBinding);
    eval 'sub SetCurrentBinding {
        local($currentBinding, $bindingSize) = @_;
	    eval q( ($IExpansion->{SetCurrentBinding})($currentBinding, $bindingSize));
    }' unless defined(&SetCurrentBinding);
    eval 'sub GetCurrentBinding {
        local($currentBinding, $bindingSize) = @_;
	    eval q( ($IExpansion->{GetCurrentBinding})($currentBinding, $bindingSize));
    }' unless defined(&GetCurrentBinding);
    eval 'sub MakeDosNode {
        local($parmPacket) = @_;
	    eval q( ($IExpansion->{MakeDosNode})($parmPacket));
    }' unless defined(&MakeDosNode);
    eval 'sub AddDosNode {
        local($bootPri, $flags, $deviceNode) = @_;
	    eval q( ($IExpansion->{AddDosNode})($bootPri, $flags, $deviceNode));
    }' unless defined(&AddDosNode);
    eval 'sub WriteExpansionWord {
        local($board, $offset, $word) = @_;
	    eval q( ($IExpansion->{WriteExpansionWord})($board, $offset, $word));
    }' unless defined(&WriteExpansionWord);
    eval 'sub GetMachineInfo {
        local($tagList) = @_;
	    eval q( ($IExpansion->{GetMachineInfo})($tagList));
    }' unless defined(&GetMachineInfo);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub GetMachineInfoTags () {(...)  ($IExpansion->{GetMachineInfoTags})( &__VA_ARGS__);}' unless defined(&GetMachineInfoTags);
    }
}
1;
