require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&INLINE4_INTUITION_H)) {
    eval 'sub INLINE4_INTUITION_H () {1;}' unless defined(&INLINE4_INTUITION_H);
    unless(defined(&EXEC_TYPES_H)) {
	require 'exec/types.ph';
    }
    unless(defined(&EXEC_EXEC_H)) {
	require 'exec/exec.ph';
    }
    unless(defined(&EXEC_INTERFACES_H)) {
	require 'exec/interfaces.ph';
    }
    unless(defined(&INTUITION_INTUITIONBASE_H)) {
	require 'intuition/intuitionbase.ph';
    }
    unless(defined(&INTUITION_CLASSES_H)) {
	require 'intuition/classes.ph';
    }
    unless(defined(&INTUITION_CGHOOKS_H)) {
	require 'intuition/cghooks.ph';
    }
    unless(defined(&INTUITION_SGHOOKS_H)) {
	require 'intuition/sghooks.ph';
    }
    unless(defined(&INTUITION_CLASSUSR_H)) {
	require 'intuition/classusr.ph';
    }
    unless(defined(&INTUITION_NOTIFY_H)) {
	require 'intuition/notify.ph';
    }
    eval 'sub OpenIntuition () {
        eval q( ($IIntuition->{OpenIntuition})());
    }' unless defined(&OpenIntuition);
    eval 'sub Intuition {
        local($iEvent) = @_;
	    eval q( ($IIntuition->{Intuition})($iEvent));
    }' unless defined(&Intuition);
    eval 'sub AddGadget {
        local($window, $gadget, $position) = @_;
	    eval q( ($IIntuition->{AddGadget})($window, $gadget, $position));
    }' unless defined(&AddGadget);
    eval 'sub ClearDMRequest {
        local($window) = @_;
	    eval q( ($IIntuition->{ClearDMRequest})($window));
    }' unless defined(&ClearDMRequest);
    eval 'sub ClearMenuStrip {
        local($window) = @_;
	    eval q( ($IIntuition->{ClearMenuStrip})($window));
    }' unless defined(&ClearMenuStrip);
    eval 'sub ClearPointer {
        local($window) = @_;
	    eval q( ($IIntuition->{ClearPointer})($window));
    }' unless defined(&ClearPointer);
    eval 'sub CloseScreen {
        local($screen) = @_;
	    eval q( ($IIntuition->{CloseScreen})($screen));
    }' unless defined(&CloseScreen);
    eval 'sub CloseWindow {
        local($window) = @_;
	    eval q( ($IIntuition->{CloseWindow})($window));
    }' unless defined(&CloseWindow);
    eval 'sub CloseWorkBench () {
        eval q( ($IIntuition->{CloseWorkBench})());
    }' unless defined(&CloseWorkBench);
    eval 'sub CurrentTime {
        local($seconds, $micros) = @_;
	    eval q( ($IIntuition->{CurrentTime})($seconds, $micros));
    }' unless defined(&CurrentTime);
    eval 'sub DisplayAlert {
        local($alertNumber, $string, $height) = @_;
	    eval q( ($IIntuition->{DisplayAlert})($alertNumber, $string, $height));
    }' unless defined(&DisplayAlert);
    eval 'sub DisplayBeep {
        local($screen) = @_;
	    eval q( ($IIntuition->{DisplayBeep})($screen));
    }' unless defined(&DisplayBeep);
    eval 'sub DoubleClick {
        local($sSeconds, $sMicros, $cSeconds, $cMicros) = @_;
	    eval q( ($IIntuition->{DoubleClick})($sSeconds, $sMicros, $cSeconds, $cMicros));
    }' unless defined(&DoubleClick);
    eval 'sub DrawBorder {
        local($rp, $border, $leftOffset, $topOffset) = @_;
	    eval q( ($IIntuition->{DrawBorder})($rp, $border, $leftOffset, $topOffset));
    }' unless defined(&DrawBorder);
    eval 'sub DrawImage {
        local($rp, $image, $leftOffset, $topOffset) = @_;
	    eval q( ($IIntuition->{DrawImage})($rp, $image, $leftOffset, $topOffset));
    }' unless defined(&DrawImage);
    eval 'sub EndRequest {
        local($requester, $window) = @_;
	    eval q( ($IIntuition->{EndRequest})($requester, $window));
    }' unless defined(&EndRequest);
    eval 'sub GetDefPrefs {
        local($preferences, $size) = @_;
	    eval q( ($IIntuition->{GetDefPrefs})($preferences, $size));
    }' unless defined(&GetDefPrefs);
    eval 'sub GetPrefs {
        local($preferences, $size) = @_;
	    eval q( ($IIntuition->{GetPrefs})($preferences, $size));
    }' unless defined(&GetPrefs);
    eval 'sub InitRequester {
        local($requester) = @_;
	    eval q( ($IIntuition->{InitRequester})($requester));
    }' unless defined(&InitRequester);
    eval 'sub ItemAddress {
        local($menuStrip, $menuNumber) = @_;
	    eval q( ($IIntuition->{ItemAddress})($menuStrip, $menuNumber));
    }' unless defined(&ItemAddress);
    eval 'sub ModifyIDCMP {
        local($window, $flags) = @_;
	    eval q( ($IIntuition->{ModifyIDCMP})($window, $flags));
    }' unless defined(&ModifyIDCMP);
    eval 'sub ModifyProp {
        local($gadget, $window, $requester, $flags, $horizPot, $vertPot, $horizBody, $vertBody) = @_;
	    eval q( ($IIntuition->{ModifyProp})($gadget, $window, $requester, $flags, $horizPot, $vertPot, $horizBody, $vertBody));
    }' unless defined(&ModifyProp);
    eval 'sub MoveScreen {
        local($screen, $dx, $dy) = @_;
	    eval q( ($IIntuition->{MoveScreen})($screen, $dx, $dy));
    }' unless defined(&MoveScreen);
    eval 'sub MoveWindow {
        local($window, $dx, $dy) = @_;
	    eval q( ($IIntuition->{MoveWindow})($window, $dx, $dy));
    }' unless defined(&MoveWindow);
    eval 'sub OffGadget {
        local($gadget, $window, $requester) = @_;
	    eval q( ($IIntuition->{OffGadget})($gadget, $window, $requester));
    }' unless defined(&OffGadget);
    eval 'sub OffMenu {
        local($window, $menuNumber) = @_;
	    eval q( ($IIntuition->{OffMenu})($window, $menuNumber));
    }' unless defined(&OffMenu);
    eval 'sub OnGadget {
        local($gadget, $window, $requester) = @_;
	    eval q( ($IIntuition->{OnGadget})($gadget, $window, $requester));
    }' unless defined(&OnGadget);
    eval 'sub OnMenu {
        local($window, $menuNumber) = @_;
	    eval q( ($IIntuition->{OnMenu})($window, $menuNumber));
    }' unless defined(&OnMenu);
    eval 'sub OpenScreen {
        local($newScreen) = @_;
	    eval q( ($IIntuition->{OpenScreen})($newScreen));
    }' unless defined(&OpenScreen);
    eval 'sub OpenWindow {
        local($newWindow) = @_;
	    eval q( ($IIntuition->{OpenWindow})($newWindow));
    }' unless defined(&OpenWindow);
    eval 'sub OpenWorkBench () {
        eval q( ($IIntuition->{OpenWorkBench})());
    }' unless defined(&OpenWorkBench);
    eval 'sub PrintIText {
        local($rp, $iText, $left, $top) = @_;
	    eval q( ($IIntuition->{PrintIText})($rp, $iText, $left, $top));
    }' unless defined(&PrintIText);
    eval 'sub RefreshGadgets {
        local($gadgets, $window, $requester) = @_;
	    eval q( ($IIntuition->{RefreshGadgets})($gadgets, $window, $requester));
    }' unless defined(&RefreshGadgets);
    eval 'sub RemoveGadget {
        local($window, $gadget) = @_;
	    eval q( ($IIntuition->{RemoveGadget})($window, $gadget));
    }' unless defined(&RemoveGadget);
    eval 'sub ReportMouse {
        local($flag, $window) = @_;
	    eval q( ($IIntuition->{ReportMouse})($flag, $window));
    }' unless defined(&ReportMouse);
    eval 'sub ReportMouse1 {
        local($window, $flag) = @_;
	    eval q( ($IIntuition->{ReportMouse1})($window, $flag));
    }' unless defined(&ReportMouse1);
    eval 'sub Request {
        local($requester, $window) = @_;
	    eval q( ($IIntuition->{Request})($requester, $window));
    }' unless defined(&Request);
    eval 'sub ScreenToBack {
        local($screen) = @_;
	    eval q( ($IIntuition->{ScreenToBack})($screen));
    }' unless defined(&ScreenToBack);
    eval 'sub ScreenToFront {
        local($screen) = @_;
	    eval q( ($IIntuition->{ScreenToFront})($screen));
    }' unless defined(&ScreenToFront);
    eval 'sub SetDMRequest {
        local($window, $requester) = @_;
	    eval q( ($IIntuition->{SetDMRequest})($window, $requester));
    }' unless defined(&SetDMRequest);
    eval 'sub SetMenuStrip {
        local($window, $menu) = @_;
	    eval q( ($IIntuition->{SetMenuStrip})($window, $menu));
    }' unless defined(&SetMenuStrip);
    eval 'sub SetPointer {
        local($window, $pointer, $height, $width, $xOffset, $yOffset) = @_;
	    eval q( ($IIntuition->{SetPointer})($window, $pointer, $height, $width, $xOffset, $yOffset));
    }' unless defined(&SetPointer);
    eval 'sub SetWindowTitles {
        local($window, $windowTitle, $screenTitle) = @_;
	    eval q( ($IIntuition->{SetWindowTitles})($window, $windowTitle, $screenTitle));
    }' unless defined(&SetWindowTitles);
    eval 'sub ShowTitle {
        local($screen, $showIt) = @_;
	    eval q( ($IIntuition->{ShowTitle})($screen, $showIt));
    }' unless defined(&ShowTitle);
    eval 'sub SizeWindow {
        local($window, $dx, $dy) = @_;
	    eval q( ($IIntuition->{SizeWindow})($window, $dx, $dy));
    }' unless defined(&SizeWindow);
    eval 'sub ViewAddress () {
        eval q( ($IIntuition->{ViewAddress})());
    }' unless defined(&ViewAddress);
    eval 'sub ViewPortAddress {
        local($window) = @_;
	    eval q( ($IIntuition->{ViewPortAddress})($window));
    }' unless defined(&ViewPortAddress);
    eval 'sub WindowToBack {
        local($window) = @_;
	    eval q( ($IIntuition->{WindowToBack})($window));
    }' unless defined(&WindowToBack);
    eval 'sub WindowToFront {
        local($window) = @_;
	    eval q( ($IIntuition->{WindowToFront})($window));
    }' unless defined(&WindowToFront);
    eval 'sub WindowLimits {
        local($window, $widthMin, $heightMin, $widthMax, $heightMax) = @_;
	    eval q( ($IIntuition->{WindowLimits})($window, $widthMin, $heightMin, $widthMax, $heightMax));
    }' unless defined(&WindowLimits);
    eval 'sub SetPrefs {
        local($preferences, $size, $inform) = @_;
	    eval q( ($IIntuition->{SetPrefs})($preferences, $size, $inform));
    }' unless defined(&SetPrefs);
    eval 'sub IntuiTextLength {
        local($iText) = @_;
	    eval q( ($IIntuition->{IntuiTextLength})($iText));
    }' unless defined(&IntuiTextLength);
    eval 'sub WBenchToBack () {
        eval q( ($IIntuition->{WBenchToBack})());
    }' unless defined(&WBenchToBack);
    eval 'sub WBenchToFront () {
        eval q( ($IIntuition->{WBenchToFront})());
    }' unless defined(&WBenchToFront);
    eval 'sub AutoRequest {
        local($window, $body, $posText, $negText, $pFlag, $nFlag, $width, $height) = @_;
	    eval q( ($IIntuition->{AutoRequest})($window, $body, $posText, $negText, $pFlag, $nFlag, $width, $height));
    }' unless defined(&AutoRequest);
    eval 'sub BeginRefresh {
        local($window) = @_;
	    eval q( ($IIntuition->{BeginRefresh})($window));
    }' unless defined(&BeginRefresh);
    eval 'sub BuildSysRequest {
        local($window, $body, $posText, $negText, $flags, $width, $height) = @_;
	    eval q( ($IIntuition->{BuildSysRequest})($window, $body, $posText, $negText, $flags, $width, $height));
    }' unless defined(&BuildSysRequest);
    eval 'sub EndRefresh {
        local($window, $complete) = @_;
	    eval q( ($IIntuition->{EndRefresh})($window, $complete));
    }' unless defined(&EndRefresh);
    eval 'sub FreeSysRequest {
        local($window) = @_;
	    eval q( ($IIntuition->{FreeSysRequest})($window));
    }' unless defined(&FreeSysRequest);
    eval 'sub MakeScreen {
        local($screen) = @_;
	    eval q( ($IIntuition->{MakeScreen})($screen));
    }' unless defined(&MakeScreen);
    eval 'sub RemakeDisplay () {
        eval q( ($IIntuition->{RemakeDisplay})());
    }' unless defined(&RemakeDisplay);
    eval 'sub RethinkDisplay () {
        eval q( ($IIntuition->{RethinkDisplay})());
    }' unless defined(&RethinkDisplay);
    eval 'sub AllocRemember {
        local($rememberKey, $size, $flags) = @_;
	    eval q( ($IIntuition->{AllocRemember})($rememberKey, $size, $flags));
    }' unless defined(&AllocRemember);
    eval 'sub FreeRemember {
        local($rememberKey, $reallyForget) = @_;
	    eval q( ($IIntuition->{FreeRemember})($rememberKey, $reallyForget));
    }' unless defined(&FreeRemember);
    eval 'sub LockIBase {
        local($dontknow) = @_;
	    eval q( ($IIntuition->{LockIBase})($dontknow));
    }' unless defined(&LockIBase);
    eval 'sub UnlockIBase {
        local($ibLock) = @_;
	    eval q( ($IIntuition->{UnlockIBase})($ibLock));
    }' unless defined(&UnlockIBase);
    eval 'sub GetScreenData {
        local($buffer, $size, $type, $screen) = @_;
	    eval q( ($IIntuition->{GetScreenData})($buffer, $size, $type, $screen));
    }' unless defined(&GetScreenData);
    eval 'sub RefreshGList {
        local($gadgets, $window, $requester, $numGad) = @_;
	    eval q( ($IIntuition->{RefreshGList})($gadgets, $window, $requester, $numGad));
    }' unless defined(&RefreshGList);
    eval 'sub AddGList {
        local($window, $gadget, $position, $numGad, $requester) = @_;
	    eval q( ($IIntuition->{AddGList})($window, $gadget, $position, $numGad, $requester));
    }' unless defined(&AddGList);
    eval 'sub RemoveGList {
        local($remPtr, $gadget, $numGad) = @_;
	    eval q( ($IIntuition->{RemoveGList})($remPtr, $gadget, $numGad));
    }' unless defined(&RemoveGList);
    eval 'sub ActivateWindow {
        local($window) = @_;
	    eval q( ($IIntuition->{ActivateWindow})($window));
    }' unless defined(&ActivateWindow);
    eval 'sub RefreshWindowFrame {
        local($window) = @_;
	    eval q( ($IIntuition->{RefreshWindowFrame})($window));
    }' unless defined(&RefreshWindowFrame);
    eval 'sub ActivateGadget {
        local($gadgets, $window, $requester) = @_;
	    eval q( ($IIntuition->{ActivateGadget})($gadgets, $window, $requester));
    }' unless defined(&ActivateGadget);
    eval 'sub NewModifyProp {
        local($gadget, $window, $requester, $flags, $horizPot, $vertPot, $horizBody, $vertBody, $numGad) = @_;
	    eval q( ($IIntuition->{NewModifyProp})($gadget, $window, $requester, $flags, $horizPot, $vertPot, $horizBody, $vertBody, $numGad));
    }' unless defined(&NewModifyProp);
    eval 'sub QueryOverscan {
        local($displayID, $rect, $oScanType) = @_;
	    eval q( ($IIntuition->{QueryOverscan})($displayID, $rect, $oScanType));
    }' unless defined(&QueryOverscan);
    eval 'sub MoveWindowInFrontOf {
        local($window, $behindWindow) = @_;
	    eval q( ($IIntuition->{MoveWindowInFrontOf})($window, $behindWindow));
    }' unless defined(&MoveWindowInFrontOf);
    eval 'sub ChangeWindowBox {
        local($window, $left, $top, $width, $height) = @_;
	    eval q( ($IIntuition->{ChangeWindowBox})($window, $left, $top, $width, $height));
    }' unless defined(&ChangeWindowBox);
    eval 'sub SetEditHook {
        local($hook) = @_;
	    eval q( ($IIntuition->{SetEditHook})($hook));
    }' unless defined(&SetEditHook);
    eval 'sub SetMouseQueue {
        local($window, $queueLength) = @_;
	    eval q( ($IIntuition->{SetMouseQueue})($window, $queueLength));
    }' unless defined(&SetMouseQueue);
    eval 'sub ZipWindow {
        local($window) = @_;
	    eval q( ($IIntuition->{ZipWindow})($window));
    }' unless defined(&ZipWindow);
    eval 'sub LockPubScreen {
        local($name) = @_;
	    eval q( ($IIntuition->{LockPubScreen})($name));
    }' unless defined(&LockPubScreen);
    eval 'sub UnlockPubScreen {
        local($name, $screen) = @_;
	    eval q( ($IIntuition->{UnlockPubScreen})($name, $screen));
    }' unless defined(&UnlockPubScreen);
    eval 'sub LockPubScreenList () {
        eval q( ($IIntuition->{LockPubScreenList})());
    }' unless defined(&LockPubScreenList);
    eval 'sub UnlockPubScreenList () {
        eval q( ($IIntuition->{UnlockPubScreenList})());
    }' unless defined(&UnlockPubScreenList);
    eval 'sub NextPubScreen {
        local($screen, $namebuf) = @_;
	    eval q( ($IIntuition->{NextPubScreen})($screen, $namebuf));
    }' unless defined(&NextPubScreen);
    eval 'sub SetDefaultPubScreen {
        local($name) = @_;
	    eval q( ($IIntuition->{SetDefaultPubScreen})($name));
    }' unless defined(&SetDefaultPubScreen);
    eval 'sub SetPubScreenModes {
        local($modes) = @_;
	    eval q( ($IIntuition->{SetPubScreenModes})($modes));
    }' unless defined(&SetPubScreenModes);
    eval 'sub PubScreenStatus {
        local($screen, $statusFlags) = @_;
	    eval q( ($IIntuition->{PubScreenStatus})($screen, $statusFlags));
    }' unless defined(&PubScreenStatus);
    eval 'sub ObtainGIRPort {
        local($gInfo) = @_;
	    eval q( ($IIntuition->{ObtainGIRPort})($gInfo));
    }' unless defined(&ObtainGIRPort);
    eval 'sub ReleaseGIRPort {
        local($rp) = @_;
	    eval q( ($IIntuition->{ReleaseGIRPort})($rp));
    }' unless defined(&ReleaseGIRPort);
    eval 'sub GadgetMouse {
        local($gadget, $gInfo, $mousePoint) = @_;
	    eval q( ($IIntuition->{GadgetMouse})($gadget, $gInfo, $mousePoint));
    }' unless defined(&GadgetMouse);
    eval 'sub GetDefaultPubScreen {
        local($nameBuffer) = @_;
	    eval q( ($IIntuition->{GetDefaultPubScreen})($nameBuffer));
    }' unless defined(&GetDefaultPubScreen);
    eval 'sub EasyRequestArgs {
        local($window, $easyStruct, $idcmpPtr, $args) = @_;
	    eval q( ($IIntuition->{EasyRequestArgs})($window, $easyStruct, $idcmpPtr, $args));
    }' unless defined(&EasyRequestArgs);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub EasyRequest () {( &window,  &easyStruct, ...)  ($IIntuition->{EasyRequest})( &window,  &easyStruct,  &__VA_ARGS__);}' unless defined(&EasyRequest);
    }
    eval 'sub BuildEasyRequestArgs {
        local($window, $easyStruct, $idcmp, $args) = @_;
	    eval q( ($IIntuition->{BuildEasyRequestArgs})($window, $easyStruct, $idcmp, $args));
    }' unless defined(&BuildEasyRequestArgs);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub BuildEasyRequest () {( &window,  &easyStruct, ...)  ($IIntuition->{BuildEasyRequest})( &window,  &easyStruct,  &__VA_ARGS__);}' unless defined(&BuildEasyRequest);
    }
    eval 'sub SysReqHandler {
        local($window, $idcmpPtr, $waitInput) = @_;
	    eval q( ($IIntuition->{SysReqHandler})($window, $idcmpPtr, $waitInput));
    }' unless defined(&SysReqHandler);
    eval 'sub OpenWindowTagList {
        local($newWindow, $tagList) = @_;
	    eval q( ($IIntuition->{OpenWindowTagList})($newWindow, $tagList));
    }' unless defined(&OpenWindowTagList);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub OpenWindowTags () {(...)  ($IIntuition->{OpenWindowTags})( &__VA_ARGS__);}' unless defined(&OpenWindowTags);
    }
    eval 'sub OpenScreenTagList {
        local($newScreen, $tagList) = @_;
	    eval q( ($IIntuition->{OpenScreenTagList})($newScreen, $tagList));
    }' unless defined(&OpenScreenTagList);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub OpenScreenTags () {(...)  ($IIntuition->{OpenScreenTags})( &__VA_ARGS__);}' unless defined(&OpenScreenTags);
    }
    eval 'sub DrawImageState {
        local($rp, $image, $leftOffset, $topOffset, $state, $drawInfo) = @_;
	    eval q( ($IIntuition->{DrawImageState})($rp, $image, $leftOffset, $topOffset, $state, $drawInfo));
    }' unless defined(&DrawImageState);
    eval 'sub PointInImage {
        local($point, $image) = @_;
	    eval q( ($IIntuition->{PointInImage})($point, $image));
    }' unless defined(&PointInImage);
    eval 'sub EraseImage {
        local($rp, $image, $leftOffset, $topOffset) = @_;
	    eval q( ($IIntuition->{EraseImage})($rp, $image, $leftOffset, $topOffset));
    }' unless defined(&EraseImage);
    eval 'sub NewObjectA {
        local($classPtr, $classID, $tagList) = @_;
	    eval q( ($IIntuition->{NewObjectA})($classPtr, $classID, $tagList));
    }' unless defined(&NewObjectA);
    eval 'sub NewObject () { ($IIntuition->{NewObject});}' unless defined(&NewObject);
    eval 'sub DisposeObject {
        local($object) = @_;
	    eval q( ($IIntuition->{DisposeObject})($object));
    }' unless defined(&DisposeObject);
    eval 'sub SetAttrsA {
        local($object, $tagList) = @_;
	    eval q( ($IIntuition->{SetAttrsA})($object, $tagList));
    }' unless defined(&SetAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub SetAttrs () {(...)  ($IIntuition->{SetAttrs})( &__VA_ARGS__);}' unless defined(&SetAttrs);
    }
    eval 'sub GetAttr {
        local($attrID, $object, $storagePtr) = @_;
	    eval q( ($IIntuition->{GetAttr})($attrID, $object, $storagePtr));
    }' unless defined(&GetAttr);
    eval 'sub SetGadgetAttrsA {
        local($gadget, $window, $requester, $tagList) = @_;
	    eval q( ($IIntuition->{SetGadgetAttrsA})($gadget, $window, $requester, $tagList));
    }' unless defined(&SetGadgetAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub SetGadgetAttrs () {( &gadget,  &window, ...)  ($IIntuition->{SetGadgetAttrs})( &gadget,  &window,  &__VA_ARGS__);}' unless defined(&SetGadgetAttrs);
    }
    eval 'sub NextObject {
        local($objectPtrPtr) = @_;
	    eval q( ($IIntuition->{NextObject})($objectPtrPtr));
    }' unless defined(&NextObject);
    eval 'sub MakeClass {
        local($classID, $superClassID, $superClassPtr, $instanceSize, $flags) = @_;
	    eval q( ($IIntuition->{MakeClass})($classID, $superClassID, $superClassPtr, $instanceSize, $flags));
    }' unless defined(&MakeClass);
    eval 'sub AddClass {
        local($classPtr) = @_;
	    eval q( ($IIntuition->{AddClass})($classPtr));
    }' unless defined(&AddClass);
    eval 'sub GetScreenDrawInfo {
        local($screen) = @_;
	    eval q( ($IIntuition->{GetScreenDrawInfo})($screen));
    }' unless defined(&GetScreenDrawInfo);
    eval 'sub FreeScreenDrawInfo {
        local($screen, $drawInfo) = @_;
	    eval q( ($IIntuition->{FreeScreenDrawInfo})($screen, $drawInfo));
    }' unless defined(&FreeScreenDrawInfo);
    eval 'sub ResetMenuStrip {
        local($window, $menu) = @_;
	    eval q( ($IIntuition->{ResetMenuStrip})($window, $menu));
    }' unless defined(&ResetMenuStrip);
    eval 'sub RemoveClass {
        local($classPtr) = @_;
	    eval q( ($IIntuition->{RemoveClass})($classPtr));
    }' unless defined(&RemoveClass);
    eval 'sub FreeClass {
        local($classPtr) = @_;
	    eval q( ($IIntuition->{FreeClass})($classPtr));
    }' unless defined(&FreeClass);
    eval 'sub AllocScreenBuffer {
        local($sc, $bm, $flags) = @_;
	    eval q( ($IIntuition->{AllocScreenBuffer})($sc, $bm, $flags));
    }' unless defined(&AllocScreenBuffer);
    eval 'sub FreeScreenBuffer {
        local($sc, $sb) = @_;
	    eval q( ($IIntuition->{FreeScreenBuffer})($sc, $sb));
    }' unless defined(&FreeScreenBuffer);
    eval 'sub ChangeScreenBuffer {
        local($sc, $sb) = @_;
	    eval q( ($IIntuition->{ChangeScreenBuffer})($sc, $sb));
    }' unless defined(&ChangeScreenBuffer);
    eval 'sub ScreenDepth {
        local($screen, $flags, $reserved) = @_;
	    eval q( ($IIntuition->{ScreenDepth})($screen, $flags, $reserved));
    }' unless defined(&ScreenDepth);
    eval 'sub ScreenPosition {
        local($screen, $flags, $x1, $y1, $x2, $y2) = @_;
	    eval q( ($IIntuition->{ScreenPosition})($screen, $flags, $x1, $y1, $x2, $y2));
    }' unless defined(&ScreenPosition);
    eval 'sub ScrollWindowRaster {
        local($win, $dx, $dy, $xMin, $yMin, $xMax, $yMax) = @_;
	    eval q( ($IIntuition->{ScrollWindowRaster})($win, $dx, $dy, $xMin, $yMin, $xMax, $yMax));
    }' unless defined(&ScrollWindowRaster);
    eval 'sub LendMenus {
        local($fromwindow, $towindow) = @_;
	    eval q( ($IIntuition->{LendMenus})($fromwindow, $towindow));
    }' unless defined(&LendMenus);
    eval 'sub DoGadgetMethodA {
        local($gad, $win, $req, $message) = @_;
	    eval q( ($IIntuition->{DoGadgetMethodA})($gad, $win, $req, $message));
    }' unless defined(&DoGadgetMethodA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub DoGadgetMethod () {( &gad,  &win, ...)  ($IIntuition->{DoGadgetMethod})( &gad,  &win,  &__VA_ARGS__);}' unless defined(&DoGadgetMethod);
    }
    eval 'sub SetWindowPointerA {
        local($win, $taglist) = @_;
	    eval q( ($IIntuition->{SetWindowPointerA})($win, $taglist));
    }' unless defined(&SetWindowPointerA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub SetWindowPointer () {(...)  ($IIntuition->{SetWindowPointer})( &__VA_ARGS__);}' unless defined(&SetWindowPointer);
    }
    eval 'sub TimedDisplayAlert {
        local($alertNumber, $string, $height, $time) = @_;
	    eval q( ($IIntuition->{TimedDisplayAlert})($alertNumber, $string, $height, $time));
    }' unless defined(&TimedDisplayAlert);
    eval 'sub HelpControl {
        local($win, $flags) = @_;
	    eval q( ($IIntuition->{HelpControl})($win, $flags));
    }' unless defined(&HelpControl);
    eval 'sub ShowWindow {
        local($window, $other) = @_;
	    eval q( ($IIntuition->{ShowWindow})($window, $other));
    }' unless defined(&ShowWindow);
    eval 'sub HideWindow {
        local($window) = @_;
	    eval q( ($IIntuition->{HideWindow})($window));
    }' unless defined(&HideWindow);
    eval 'sub GetAttrsA {
        local($object, $tagList) = @_;
	    eval q( ($IIntuition->{GetAttrsA})($object, $tagList));
    }' unless defined(&GetAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub GetAttrs () {(...)  ($IIntuition->{GetAttrs})( &__VA_ARGS__);}' unless defined(&GetAttrs);
    }
    eval 'sub LockGUIPrefs {
        local($reserved) = @_;
	    eval q( ($IIntuition->{LockGUIPrefs})($reserved));
    }' unless defined(&LockGUIPrefs);
    eval 'sub UnlockGUIPrefs {
        local($lock) = @_;
	    eval q( ($IIntuition->{UnlockGUIPrefs})($lock));
    }' unless defined(&UnlockGUIPrefs);
    eval 'sub SetGUIAttrsA {
        local($reserved, $drawinfo, $taglist) = @_;
	    eval q( ($IIntuition->{SetGUIAttrsA})($reserved, $drawinfo, $taglist));
    }' unless defined(&SetGUIAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub SetGUIAttrs () {( &reserved, ...)  ($IIntuition->{SetGUIAttrs})( &reserved,  &__VA_ARGS__);}' unless defined(&SetGUIAttrs);
    }
    eval 'sub GetGUIAttrsA {
        local($reserved, $drawinfo, $taglist) = @_;
	    eval q( ($IIntuition->{GetGUIAttrsA})($reserved, $drawinfo, $taglist));
    }' unless defined(&GetGUIAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub GetGUIAttrs () {( &reserved, ...)  ($IIntuition->{GetGUIAttrs})( &reserved,  &__VA_ARGS__);}' unless defined(&GetGUIAttrs);
    }
    eval 'sub GetHalfPens {
        local($drawinfo, $basepen, $halfshineptr, $halfshadowptr) = @_;
	    eval q( ($IIntuition->{GetHalfPens})($drawinfo, $basepen, $halfshineptr, $halfshadowptr));
    }' unless defined(&GetHalfPens);
    eval 'sub GadgetBox {
        local($gadget, $domain, $domaintype, $flags, $box) = @_;
	    eval q( ($IIntuition->{GadgetBox})($gadget, $domain, $domaintype, $flags, $box));
    }' unless defined(&GadgetBox);
    eval 'sub RefreshSetGadgetAttrsA {
        local($gadget, $window, $req, $taglist) = @_;
	    eval q( ($IIntuition->{RefreshSetGadgetAttrsA})($gadget, $window, $req, $taglist));
    }' unless defined(&RefreshSetGadgetAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub RefreshSetGadgetAttrs () {( &gadget,  &window, ...)  ($IIntuition->{RefreshSetGadgetAttrs})( &gadget,  &window,  &__VA_ARGS__);}' unless defined(&RefreshSetGadgetAttrs);
    }
    eval 'sub IDoSuperMethodA {
        local($cl, $object, $msg) = @_;
	    eval q( ($IIntuition->{IDoSuperMethodA})($cl, $object, $msg));
    }' unless defined(&IDoSuperMethodA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub IDoSuperMethod () {( &cl, ...)  ($IIntuition->{IDoSuperMethod})( &cl,  &__VA_ARGS__);}' unless defined(&IDoSuperMethod);
    }
    eval 'sub ISetSuperAttrsA {
        local($cl, $object, $taglist) = @_;
	    eval q( ($IIntuition->{ISetSuperAttrsA})($cl, $object, $taglist));
    }' unless defined(&ISetSuperAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub ISetSuperAttrs () {( &cl, ...)  ($IIntuition->{ISetSuperAttrs})( &cl,  &__VA_ARGS__);}' unless defined(&ISetSuperAttrs);
    }
    eval 'sub ICoerceMethodA {
        local($cl, $object, $msg) = @_;
	    eval q( ($IIntuition->{ICoerceMethodA})($cl, $object, $msg));
    }' unless defined(&ICoerceMethodA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub ICoerceMethod () {( &cl, ...)  ($IIntuition->{ICoerceMethod})( &cl,  &__VA_ARGS__);}' unless defined(&ICoerceMethod);
    }
    eval 'sub IDoMethodA {
        local($object, $msg) = @_;
	    eval q( ($IIntuition->{IDoMethodA})($object, $msg));
    }' unless defined(&IDoMethodA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub IDoMethod () {(...)  ($IIntuition->{IDoMethod})( &__VA_ARGS__);}' unless defined(&IDoMethod);
    }
    eval 'sub OpenClass {
        local($name, $version, $cl_ptr) = @_;
	    eval q( ($IIntuition->{OpenClass})($name, $version, $cl_ptr));
    }' unless defined(&OpenClass);
    eval 'sub CloseClass {
        local($cl) = @_;
	    eval q( ($IIntuition->{CloseClass})($cl));
    }' unless defined(&CloseClass);
    eval 'sub LockScreen {
        local($screen, $micros) = @_;
	    eval q( ($IIntuition->{LockScreen})($screen, $micros));
    }' unless defined(&LockScreen);
    eval 'sub UnlockScreen {
        local($screen) = @_;
	    eval q( ($IIntuition->{UnlockScreen})($screen));
    }' unless defined(&UnlockScreen);
    eval 'sub GetWindowAttrsA {
        local($win, $taglist) = @_;
	    eval q( ($IIntuition->{GetWindowAttrsA})($win, $taglist));
    }' unless defined(&GetWindowAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub GetWindowAttrs () {(...)  ($IIntuition->{GetWindowAttrs})( &__VA_ARGS__);}' unless defined(&GetWindowAttrs);
    }
    eval 'sub SetWindowAttrsA {
        local($win, $taglist) = @_;
	    eval q( ($IIntuition->{SetWindowAttrsA})($win, $taglist));
    }' unless defined(&SetWindowAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub SetWindowAttrs () {(...)  ($IIntuition->{SetWindowAttrs})( &__VA_ARGS__);}' unless defined(&SetWindowAttrs);
    }
    eval 'sub GetWindowAttr {
        local($win, $attr, $data, $size) = @_;
	    eval q( ($IIntuition->{GetWindowAttr})($win, $attr, $data, $size));
    }' unless defined(&GetWindowAttr);
    eval 'sub SetWindowAttr {
        local($win, $attr, $data, $size) = @_;
	    eval q( ($IIntuition->{SetWindowAttr})($win, $attr, $data, $size));
    }' unless defined(&SetWindowAttr);
    eval 'sub StripIntuiMessages {
        local($port, $win) = @_;
	    eval q( ($IIntuition->{StripIntuiMessages})($port, $win));
    }' unless defined(&StripIntuiMessages);
    eval 'sub GetScreenAttrsA {
        local($scr, $taglist) = @_;
	    eval q( ($IIntuition->{GetScreenAttrsA})($scr, $taglist));
    }' unless defined(&GetScreenAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub GetScreenAttrs () {(...)  ($IIntuition->{GetScreenAttrs})( &__VA_ARGS__);}' unless defined(&GetScreenAttrs);
    }
    eval 'sub SetScreenAttrsA {
        local($scr, $taglist) = @_;
	    eval q( ($IIntuition->{SetScreenAttrsA})($scr, $taglist));
    }' unless defined(&SetScreenAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub SetScreenAttrs () {(...)  ($IIntuition->{SetScreenAttrs})( &__VA_ARGS__);}' unless defined(&SetScreenAttrs);
    }
    eval 'sub GetScreenAttr {
        local($scr, $attr, $data, $size) = @_;
	    eval q( ($IIntuition->{GetScreenAttr})($scr, $attr, $data, $size));
    }' unless defined(&GetScreenAttr);
    eval 'sub SetScreenAttr {
        local($scr, $attr, $data, $size) = @_;
	    eval q( ($IIntuition->{SetScreenAttr})($scr, $attr, $data, $size));
    }' unless defined(&SetScreenAttr);
    eval 'sub LockScreenList () {
        eval q( ($IIntuition->{LockScreenList})());
    }' unless defined(&LockScreenList);
    eval 'sub UnlockScreenList () {
        eval q( ($IIntuition->{UnlockScreenList})());
    }' unless defined(&UnlockScreenList);
    eval 'sub LockScreenGI {
        local($gi, $micros) = @_;
	    eval q( ($IIntuition->{LockScreenGI})($gi, $micros));
    }' unless defined(&LockScreenGI);
    eval 'sub UnlockScreenGI {
        local($gi, $rp) = @_;
	    eval q( ($IIntuition->{UnlockScreenGI})($gi, $rp));
    }' unless defined(&UnlockScreenGI);
    eval 'sub GetMarkedBlock {
        local($sgw) = @_;
	    eval q( ($IIntuition->{GetMarkedBlock})($sgw));
    }' unless defined(&GetMarkedBlock);
    eval 'sub SetMarkedBlock {
        local($sgw, $block) = @_;
	    eval q( ($IIntuition->{SetMarkedBlock})($sgw, $block));
    }' unless defined(&SetMarkedBlock);
    eval 'sub ObtainBitMapSourceA {
        local($name, $taglist) = @_;
	    eval q( ($IIntuition->{ObtainBitMapSourceA})($name, $taglist));
    }' unless defined(&ObtainBitMapSourceA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub ObtainBitMapSource () {(...)  ($IIntuition->{ObtainBitMapSource})( &__VA_ARGS__);}' unless defined(&ObtainBitMapSource);
    }
    eval 'sub ReleaseBitMapSource {
        local($bitmapsource) = @_;
	    eval q( ($IIntuition->{ReleaseBitMapSource})($bitmapsource));
    }' unless defined(&ReleaseBitMapSource);
    eval 'sub ObtainBitMapInstanceA {
        local($bitmapsource, $screen, $taglist) = @_;
	    eval q( ($IIntuition->{ObtainBitMapInstanceA})($bitmapsource, $screen, $taglist));
    }' unless defined(&ObtainBitMapInstanceA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub ObtainBitMapInstance () {( &bitmapsource, ...)  ($IIntuition->{ObtainBitMapInstance})( &bitmapsource,  &__VA_ARGS__);}' unless defined(&ObtainBitMapInstance);
    }
    eval 'sub ReleaseBitMapInstance {
        local($bitmapinstance) = @_;
	    eval q( ($IIntuition->{ReleaseBitMapInstance})($bitmapinstance));
    }' unless defined(&ReleaseBitMapInstance);
    eval 'sub EmbossDisableRect {
        local($rp, $minx, $miny, $maxx, $maxy, $backtype, $contrast, $dri) = @_;
	    eval q( ($IIntuition->{EmbossDisableRect})($rp, $minx, $miny, $maxx, $maxy, $backtype, $contrast, $dri));
    }' unless defined(&EmbossDisableRect);
    eval 'sub EmbossDisableText {
        local($rp, $text, $len, $backtype, $contrast, $dri) = @_;
	    eval q( ($IIntuition->{EmbossDisableText})($rp, $text, $len, $backtype, $contrast, $dri));
    }' unless defined(&EmbossDisableText);
    eval 'sub PrintEmbossedDisabledIText {
        local($rp, $itext, $left, $top, $backtype, $contrast, $dri) = @_;
	    eval q( ($IIntuition->{PrintEmbossedDisabledIText})($rp, $itext, $left, $top, $backtype, $contrast, $dri));
    }' unless defined(&PrintEmbossedDisabledIText);
    eval 'sub IntuiTextExtent {
        local($rp, $itext, $textent) = @_;
	    eval q( ($IIntuition->{IntuiTextExtent})($rp, $itext, $textent));
    }' unless defined(&IntuiTextExtent);
    eval 'sub ShadeRectOld {
        local($rp, $minx, $miny, $maxx, $maxy, $shadelevel, $backtype, $state, $dri) = @_;
	    eval q( ($IIntuition->{ShadeRectOld})($rp, $minx, $miny, $maxx, $maxy, $shadelevel, $backtype, $state, $dri));
    }' unless defined(&ShadeRectOld);
    eval 'sub FindMenuKey {
        local($menu, $code) = @_;
	    eval q( ($IIntuition->{FindMenuKey})($menu, $code));
    }' unless defined(&FindMenuKey);
    eval 'sub BitMapInstanceControlA {
        local($bitmapinstance, $taglist) = @_;
	    eval q( ($IIntuition->{BitMapInstanceControlA})($bitmapinstance, $taglist));
    }' unless defined(&BitMapInstanceControlA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub BitMapInstanceControl () {(...)  ($IIntuition->{BitMapInstanceControl})( &__VA_ARGS__);}' unless defined(&BitMapInstanceControl);
    }
    eval 'sub ObtainIPluginList {
        local($type, $attrmask, $applymask) = @_;
	    eval q( ($IIntuition->{ObtainIPluginList})($type, $attrmask, $applymask));
    }' unless defined(&ObtainIPluginList);
    eval 'sub ReleaseIPluginList {
        local($list) = @_;
	    eval q( ($IIntuition->{ReleaseIPluginList})($list));
    }' unless defined(&ReleaseIPluginList);
    eval 'sub OpenGUIPlugin {
        local($name, $version, $type, $attrmask, $applymask) = @_;
	    eval q( ($IIntuition->{OpenGUIPlugin})($name, $version, $type, $attrmask, $applymask));
    }' unless defined(&OpenGUIPlugin);
    eval 'sub CloseGUIPlugin {
        local($plugin) = @_;
	    eval q( ($IIntuition->{CloseGUIPlugin})($plugin));
    }' unless defined(&CloseGUIPlugin);
    eval 'sub DrawSysImageA {
        local($rp, $left, $top, $width, $height, $which, $backtype, $state, $dri, $taglist) = @_;
	    eval q( ($IIntuition->{DrawSysImageA})($rp, $left, $top, $width, $height, $which, $backtype, $state, $dri, $taglist));
    }' unless defined(&DrawSysImageA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub DrawSysImage () {( &rp,  &left,  &top,  &width,  &height,  &which,  &backtype,  &state, ...)  ($IIntuition->{DrawSysImage})( &rp,  &left,  &top,  &width,  &height,  &which,  &backtype,  &state,  &__VA_ARGS__);}' unless defined(&DrawSysImage);
    }
    eval 'sub DoRender {
        local($o, $gi, $flags) = @_;
	    eval q( ($IIntuition->{D$oRender})($o, $gi, $flags));
    }' unless defined(&DoRender);
    eval 'sub SetRenderDomain {
        local($rp, $domain) = @_;
	    eval q( ($IIntuition->{SetRenderDomain})($rp, $domain));
    }' unless defined(&SetRenderDomain);
    eval 'sub GetRenderDomain {
        local($rp, $domain) = @_;
	    eval q( ($IIntuition->{GetRenderDomain})($rp, $domain));
    }' unless defined(&GetRenderDomain);
    eval 'sub DrawGradient {
        local($rp, $left, $top, $width, $height, $domain, $reserved, $gradientspec, $dri) = @_;
	    eval q( ($IIntuition->{DrawGradient})($rp, $left, $top, $width, $height, $domain, $reserved, $gradientspec, $dri));
    }' unless defined(&DrawGradient);
    eval 'sub DirectionVector {
        local($degrees) = @_;
	    eval q( ($IIntuition->{DirectionVector})($degrees));
    }' unless defined(&DirectionVector);
    eval 'sub ShadeRectA {
        local($rp, $minx, $miny, $maxx, $maxy, $shadelevel, $backtype, $state, $dri, $taglist) = @_;
	    eval q( ($IIntuition->{ShadeRectA})($rp, $minx, $miny, $maxx, $maxy, $shadelevel, $backtype, $state, $dri, $taglist));
    }' unless defined(&ShadeRectA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub ShadeRect () {( &rp,  &minx,  &miny,  &maxx,  &maxy,  &shadelevel,  &backtype,  &state, ...)  ($IIntuition->{ShadeRect})( &rp,  &minx,  &miny,  &maxx,  &maxy,  &shadelevel,  &backtype,  &state,  &__VA_ARGS__);}' unless defined(&ShadeRect);
    }
    eval 'sub DoScrollHook {
        local($scrollhook, $scrollmode) = @_;
	    eval q( ($IIntuition->{DoScrollHook})($scrollhook, $scrollmode));
    }' unless defined(&DoScrollHook);
    eval 'sub ObtainIBackFill {
        local($dri, $element, $state, $flags) = @_;
	    eval q( ($IIntuition->{ObtainIBackFill})($dri, $element, $state, $flags));
    }' unless defined(&ObtainIBackFill);
    eval 'sub ReleaseIBackFill {
        local($hook) = @_;
	    eval q( ($IIntuition->{ReleaseIBackFill})($hook));
    }' unless defined(&ReleaseIBackFill);
    eval 'sub IntuitionControlA {
        local($object, $taglist) = @_;
	    eval q( ($IIntuition->{IntuitionControlA})($object, $taglist));
    }' unless defined(&IntuitionControlA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub IntuitionControl () {(...)  ($IIntuition->{IntuitionControl})( &__VA_ARGS__);}' unless defined(&IntuitionControl);
    }
    eval 'sub StartScreenNotifyTagList {
        local($taglist) = @_;
	    eval q( ($IIntuition->{StartScreenNotifyTagList})($taglist));
    }' unless defined(&StartScreenNotifyTagList);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub StartScreenNotifyTags () {(...)  ($IIntuition->{StartScreenNotifyTags})( &__VA_ARGS__);}' unless defined(&StartScreenNotifyTags);
    }
    eval 'sub EndScreenNotify {
        local($request) = @_;
	    eval q( ($IIntuition->{EndScreenNotify})($request));
    }' unless defined(&EndScreenNotify);
    eval 'sub DisableTemplate {
        local($rp, $left, $top, $width, $height, $template_ptr, $offx, $template_type, $bytesperrow, $backtype, $dri) = @_;
	    eval q( ($IIntuition->{DisableTemplate})($rp, $left, $top, $width, $height, $template_ptr, $offx, $template_type, $bytesperrow, $backtype, $dri));
    }' unless defined(&DisableTemplate);
}
1;
