require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&INLINE4_LAYERS_H)) {
    eval 'sub INLINE4_LAYERS_H () {1;}' unless defined(&INLINE4_LAYERS_H);
    unless(defined(&EXEC_TYPES_H)) {
	require 'exec/types.ph';
    }
    unless(defined(&EXEC_EXEC_H)) {
	require 'exec/exec.ph';
    }
    unless(defined(&EXEC_INTERFACES_H)) {
	require 'exec/interfaces.ph';
    }
    unless(defined(&GRAPHICS_LAYERS_H)) {
	require 'graphics/layers.ph';
    }
    unless(defined(&GRAPHICS_CLIP_H)) {
	require 'graphics/clip.ph';
    }
    unless(defined(&GRAPHICS_RASTPORT_H)) {
	require 'graphics/rastport.ph';
    }
    unless(defined(&GRAPHICS_REGIONS_H)) {
	require 'graphics/regions.ph';
    }
    eval 'sub InitLayers {
        local($li) = @_;
	    eval q( ($ILayers->{InitLayers})($li));
    }' unless defined(&InitLayers);
    eval 'sub CreateUpfrontLayer {
        local($li, $bm, $x0, $y0, $x1, $y1, $flags, $bm2) = @_;
	    eval q( ($ILayers->{CreateUpfrontLayer})($li, $bm, $x0, $y0, $x1, $y1, $flags, $bm2));
    }' unless defined(&CreateUpfrontLayer);
    eval 'sub CreateBehindLayer {
        local($li, $bm, $x0, $y0, $x1, $y1, $flags, $bm2) = @_;
	    eval q( ($ILayers->{CreateBehindLayer})($li, $bm, $x0, $y0, $x1, $y1, $flags, $bm2));
    }' unless defined(&CreateBehindLayer);
    eval 'sub UpfrontLayer {
        local($dummy, $layer) = @_;
	    eval q( ($ILayers->{UpfrontLayer})($dummy, $layer));
    }' unless defined(&UpfrontLayer);
    eval 'sub BehindLayer {
        local($dummy, $layer) = @_;
	    eval q( ($ILayers->{BehindLayer})($dummy, $layer));
    }' unless defined(&BehindLayer);
    eval 'sub MoveLayer {
        local($dummy, $layer, $dx, $dy) = @_;
	    eval q( ($ILayers->{MoveLayer})($dummy, $layer, $dx, $dy));
    }' unless defined(&MoveLayer);
    eval 'sub SizeLayer {
        local($dummy, $layer, $dx, $dy) = @_;
	    eval q( ($ILayers->{SizeLayer})($dummy, $layer, $dx, $dy));
    }' unless defined(&SizeLayer);
    eval 'sub ScrollLayer {
        local($dummy, $layer, $dx, $dy) = @_;
	    eval q( ($ILayers->{ScrollLayer})($dummy, $layer, $dx, $dy));
    }' unless defined(&ScrollLayer);
    eval 'sub BeginUpdate {
        local($l) = @_;
	    eval q( ($ILayers->{BeginUpdate})($l));
    }' unless defined(&BeginUpdate);
    eval 'sub EndUpdate {
        local($layer, $flag) = @_;
	    eval q( ($ILayers->{EndUpdate})($layer, $flag));
    }' unless defined(&EndUpdate);
    eval 'sub DeleteLayer {
        local($dummy, $layer) = @_;
	    eval q( ($ILayers->{DeleteLayer})($dummy, $layer));
    }' unless defined(&DeleteLayer);
    eval 'sub LockLayer {
        local($dummy, $layer) = @_;
	    eval q( ($ILayers->{LockLayer})($dummy, $layer));
    }' unless defined(&LockLayer);
    eval 'sub UnlockLayer {
        local($layer) = @_;
	    eval q( ($ILayers->{UnlockLayer})($layer));
    }' unless defined(&UnlockLayer);
    eval 'sub LockLayers {
        local($li) = @_;
	    eval q( ($ILayers->{LockLayers})($li));
    }' unless defined(&LockLayers);
    eval 'sub UnlockLayers {
        local($li) = @_;
	    eval q( ($ILayers->{UnlockLayers})($li));
    }' unless defined(&UnlockLayers);
    eval 'sub LockLayerInfo {
        local($li) = @_;
	    eval q( ($ILayers->{LockLayerInfo})($li));
    }' unless defined(&LockLayerInfo);
    eval 'sub SwapBitsRastPortClipRect {
        local($rp, $cr) = @_;
	    eval q( ($ILayers->{SwapBitsRastPortClipRect})($rp, $cr));
    }' unless defined(&SwapBitsRastPortClipRect);
    eval 'sub WhichLayer {
        local($li, $x, $y) = @_;
	    eval q( ($ILayers->{WhichLayer})($li, $x, $y));
    }' unless defined(&WhichLayer);
    eval 'sub UnlockLayerInfo {
        local($li) = @_;
	    eval q( ($ILayers->{UnlockLayerInfo})($li));
    }' unless defined(&UnlockLayerInfo);
    eval 'sub NewLayerInfo () {
        eval q( ($ILayers->{NewLayerInfo})());
    }' unless defined(&NewLayerInfo);
    eval 'sub DisposeLayerInfo {
        local($li) = @_;
	    eval q( ($ILayers->{DisposeLayerInfo})($li));
    }' unless defined(&DisposeLayerInfo);
    eval 'sub FattenLayerInfo {
        local($li) = @_;
	    eval q( ($ILayers->{FattenLayerInfo})($li));
    }' unless defined(&FattenLayerInfo);
    eval 'sub ThinLayerInfo {
        local($li) = @_;
	    eval q( ($ILayers->{ThinLayerInfo})($li));
    }' unless defined(&ThinLayerInfo);
    eval 'sub MoveLayerInFrontOf {
        local($layer_to_move, $other_layer) = @_;
	    eval q( ($ILayers->{MoveLayerInFrontOf})($layer_to_move, $other_layer));
    }' unless defined(&MoveLayerInFrontOf);
    eval 'sub InstallClipRegion {
        local($layer, $region) = @_;
	    eval q( ($ILayers->{InstallClipRegion})($layer, $region));
    }' unless defined(&InstallClipRegion);
    eval 'sub MoveSizeLayer {
        local($layer, $dx, $dy, $dw, $dh) = @_;
	    eval q( ($ILayers->{MoveSizeLayer})($layer, $dx, $dy, $dw, $dh));
    }' unless defined(&MoveSizeLayer);
    eval 'sub CreateUpfrontHookLayer {
        local($li, $bm, $x0, $y0, $x1, $y1, $flags, $hook, $bm2) = @_;
	    eval q( ($ILayers->{CreateUpfrontHookLayer})($li, $bm, $x0, $y0, $x1, $y1, $flags, $hook, $bm2));
    }' unless defined(&CreateUpfrontHookLayer);
    eval 'sub CreateBehindHookLayer {
        local($li, $bm, $x0, $y0, $x1, $y1, $flags, $hook, $bm2) = @_;
	    eval q( ($ILayers->{CreateBehindHookLayer})($li, $bm, $x0, $y0, $x1, $y1, $flags, $hook, $bm2));
    }' unless defined(&CreateBehindHookLayer);
    eval 'sub InstallLayerHook {
        local($layer, $hook) = @_;
	    eval q( ($ILayers->{InstallLayerHook})($layer, $hook));
    }' unless defined(&InstallLayerHook);
    eval 'sub InstallLayerInfoHook {
        local($li, $hook) = @_;
	    eval q( ($ILayers->{InstallLayerInfoHook})($li, $hook));
    }' unless defined(&InstallLayerInfoHook);
    eval 'sub SortLayerCR {
        local($layer, $dx, $dy) = @_;
	    eval q( ($ILayers->{SortLayerCR})($layer, $dx, $dy));
    }' unless defined(&SortLayerCR);
    eval 'sub DoHookClipRects {
        local($hook, $rport, $rect) = @_;
	    eval q( ($ILayers->{DoHookClipRects})($hook, $rport, $rect));
    }' unless defined(&DoHookClipRects);
    eval 'sub LayerOccluded {
        local($layer) = @_;
	    eval q( ($ILayers->{LayerOccluded})($layer));
    }' unless defined(&LayerOccluded);
    eval 'sub HideLayer {
        local($layer) = @_;
	    eval q( ($ILayers->{HideLayer})($layer));
    }' unless defined(&HideLayer);
    eval 'sub ShowLayer {
        local($layer, $infront_of) = @_;
	    eval q( ($ILayers->{ShowLayer})($layer, $infront_of));
    }' unless defined(&ShowLayer);
    eval 'sub SetLayerInfoBounds {
        local($li, $bounds) = @_;
	    eval q( ($ILayers->{SetLayerInfoBounds})($li, $bounds));
    }' unless defined(&SetLayerInfoBounds);
    eval 'sub AllocClipRect {
        local($li) = @_;
	    eval q( ($ILayers->{AllocClipRect})($li));
    }' unless defined(&AllocClipRect);
    eval 'sub FreeClipRect {
        local($li, $cr) = @_;
	    eval q( ($ILayers->{FreeClipRect})($li, $cr));
    }' unless defined(&FreeClipRect);
    eval 'sub CreateLayerA {
        local($li, $tlist) = @_;
	    eval q( ($ILayers->{CreateLayerA})($li, $tlist));
    }' unless defined(&CreateLayerA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub CreateLayer () {(...)  ($ILayers->{CreateLayer})( &__VA_ARGS__);}' unless defined(&CreateLayer);
    }
    eval 'sub ChangeLayerShape {
        local($layer, $region, $hook) = @_;
	    eval q( ($ILayers->{ChangeLayerShape})($layer, $region, $hook));
    }' unless defined(&ChangeLayerShape);
    eval 'sub CreateBackFillHookA {
        local($tlist) = @_;
	    eval q( ($ILayers->{CreateBackFillHookA})($tlist));
    }' unless defined(&CreateBackFillHookA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub CreateBackFillHook () {(...)  ($ILayers->{CreateBackFillHook})( &__VA_ARGS__);}' unless defined(&CreateBackFillHook);
    }
    eval 'sub DeleteBackFillHook {
        local($hook) = @_;
	    eval q( ($ILayers->{DeleteBackFillHook})($hook));
    }' unless defined(&DeleteBackFillHook);
    eval 'sub SetBackFillHookAttrsA {
        local($h, $tags) = @_;
	    eval q( ($ILayers->{SetBackFillHookAttrsA})($h, $tags));
    }' unless defined(&SetBackFillHookAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub SetBackFillHookAttrs () {(...)  ($ILayers->{SetBackFillHookAttrs})( &__VA_ARGS__);}' unless defined(&SetBackFillHookAttrs);
    }
    eval 'sub GetBackFillHookAttrsA {
        local($h, $tags) = @_;
	    eval q( ($ILayers->{GetBackFillHookAttrsA})($h, $tags));
    }' unless defined(&GetBackFillHookAttrsA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub GetBackFillHookAttrs () {(...)  ($ILayers->{GetBackFillHookAttrs})( &__VA_ARGS__);}' unless defined(&GetBackFillHookAttrs);
    }
}
1;
