require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&INLINE4_LOCALE_H)) {
    eval 'sub INLINE4_LOCALE_H () {1;}' unless defined(&INLINE4_LOCALE_H);
    unless(defined(&EXEC_TYPES_H)) {
	require 'exec/types.ph';
    }
    unless(defined(&EXEC_EXEC_H)) {
	require 'exec/exec.ph';
    }
    unless(defined(&EXEC_INTERFACES_H)) {
	require 'exec/interfaces.ph';
    }
    unless(defined(&LIBRARIES_LOCALE_H)) {
	require 'libraries/locale.ph';
    }
    unless(defined(&DOS_DOS_H)) {
	require 'dos/dos.ph';
    }
    unless(defined(&UTILITY_HOOKS_H)) {
	require 'utility/hooks.ph';
    }
    unless(defined(&UTILITY_TAGITEM_H)) {
	require 'utility/tagitem.ph';
    }
    unless(defined(&REXX_STORAGE_H)) {
	require 'rexx/storage.ph';
    }
    eval 'sub CloseCatalog {
        local($catalog) = @_;
	    eval q( ($ILocale->{CloseCatalog})($catalog));
    }' unless defined(&CloseCatalog);
    eval 'sub CloseLocale {
        local($locale) = @_;
	    eval q( ($ILocale->{CloseLocale})($locale));
    }' unless defined(&CloseLocale);
    eval 'sub ConvToLower {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{ConvToLower})($locale, $character));
    }' unless defined(&ConvToLower);
    eval 'sub ConvToUpper {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{ConvToUpper})($locale, $character));
    }' unless defined(&ConvToUpper);
    eval 'sub FormatDate {
        local($locale, $fmtTemplate, $date, $putCharFunc) = @_;
	    eval q( ($ILocale->{FormatDate})($locale, $fmtTemplate, $date, $putCharFunc));
    }' unless defined(&FormatDate);
    eval 'sub FormatString {
        local($locale, $fmtTemplate, $dataStream, $putCharFunc) = @_;
	    eval q( ($ILocale->{FormatString})($locale, $fmtTemplate, $dataStream, $putCharFunc));
    }' unless defined(&FormatString);
    eval 'sub GetCatalogStr {
        local($catalog, $stringNum, $defaultString) = @_;
	    eval q( ($ILocale->{GetCatalogStr})($catalog, $stringNum, $defaultString));
    }' unless defined(&GetCatalogStr);
    eval 'sub GetLocaleStr {
        local($locale, $stringNum) = @_;
	    eval q( ($ILocale->{GetLocaleStr})($locale, $stringNum));
    }' unless defined(&GetLocaleStr);
    eval 'sub IsAlNum {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsAlNum})($locale, $character));
    }' unless defined(&IsAlNum);
    eval 'sub IsAlpha {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsAlpha})($locale, $character));
    }' unless defined(&IsAlpha);
    eval 'sub IsCntrl {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsCntrl})($locale, $character));
    }' unless defined(&IsCntrl);
    eval 'sub IsDigit {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsDigit})($locale, $character));
    }' unless defined(&IsDigit);
    eval 'sub IsGraph {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsGraph})($locale, $character));
    }' unless defined(&IsGraph);
    eval 'sub IsLower {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsLower})($locale, $character));
    }' unless defined(&IsLower);
    eval 'sub IsPrint {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsPrint})($locale, $character));
    }' unless defined(&IsPrint);
    eval 'sub IsPunct {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsPunct})($locale, $character));
    }' unless defined(&IsPunct);
    eval 'sub IsSpace {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsSpace})($locale, $character));
    }' unless defined(&IsSpace);
    eval 'sub IsUpper {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsUpper})($locale, $character));
    }' unless defined(&IsUpper);
    eval 'sub IsXDigit {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsXDigit})($locale, $character));
    }' unless defined(&IsXDigit);
    eval 'sub OpenCatalogA {
        local($locale, $name, $tags) = @_;
	    eval q( ($ILocale->{OpenCatalogA})($locale, $name, $tags));
    }' unless defined(&OpenCatalogA);
    if(!defined( &__cplusplus)  && ((defined(&__GNUC__) ? &__GNUC__ : 0) >= 3|| ((defined(&__GNUC__) ? &__GNUC__ : 0) == 2 && (defined(&__GNUC_MINOR__) ? &__GNUC_MINOR__ : 0) >= 95) || ((defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0)  && (defined(&__STDC_VERSION__) ? &__STDC_VERSION__ : 0) >= 199901))) {
	eval 'sub OpenCatalog () {( &locale, ...)  ($ILocale->{OpenCatalog})( &locale,  &__VA_ARGS__);}' unless defined(&OpenCatalog);
    }
    eval 'sub OpenLocale {
        local($name) = @_;
	    eval q( ($ILocale->{OpenLocale})($name));
    }' unless defined(&OpenLocale);
    eval 'sub ParseDate {
        local($locale, $date, $fmtTemplate, $getCharFunc) = @_;
	    eval q( ($ILocale->{ParseDate})($locale, $date, $fmtTemplate, $getCharFunc));
    }' unless defined(&ParseDate);
    eval 'sub StrConvert {
        local($locale, $string, $buffer, $bufferSize, $type) = @_;
	    eval q( ($ILocale->{StrConvert})($locale, $string, $buffer, $bufferSize, $type));
    }' unless defined(&StrConvert);
    eval 'sub StrnCmp {
        local($locale, $string1, $string2, $length, $type) = @_;
	    eval q( ($ILocale->{StrnCmp})($locale, $string1, $string2, $length, $type));
    }' unless defined(&StrnCmp);
    eval 'sub Locale_DateToStr {
        local($datetime) = @_;
	    eval q( ($ILocale->{Locale_DateToStr})($datetime));
    }' unless defined(&Locale_DateToStr);
    eval 'sub Locale_StrToDate {
        local($datetime) = @_;
	    eval q( ($ILocale->{Locale_StrToDate})($datetime));
    }' unless defined(&Locale_StrToDate);
    eval 'sub IsBlank {
        local($locale, $character) = @_;
	    eval q( ($ILocale->{IsBlank})($locale, $character));
    }' unless defined(&IsBlank);
    eval 'sub FormatString32 {
        local($locale, $fmtTemplate, $dataStream, $putCharFunc) = @_;
	    eval q( ($ILocale->{FormatString32})($locale, $fmtTemplate, $dataStream, $putCharFunc));
    }' unless defined(&FormatString32);
}
1;
